--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

-- ****************************** Horizontal BOSS frames first *********************************************

local _, NS = ...

local FauxMazzle, BossH, BossV
function NS:LoadSettingsDUF()
	if FauxMazzle then 
		return FauxMazzle
	end
	FauxMazzle = {
		["INITIALIZED5.8"] = true,
		["INITIALIZED5.2"] = true,
		["INITIALIZED7.2"] = true,
		["target"] = {
			["LeaderIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["attachpoint"] = "BOTTOMLEFT",
				["xoffset"] = 0,
				["framestrata"] = "LOW",
				["hide"] = 1,
				["yoffset"] = 0,
			},
			["borderalpha"] = 0,
			["rightclick"] = 3,
			["PVPIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 22,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["backgroundstyle"] = 2,
				["xoffset"] = -2,
				["attachpoint"] = "TOPRIGHT",
				["rightclick"] = 3,
				["yoffset"] = 0,
			},
			["yos"] = {
				151.5, -- [1]
				-244.16, -- [2]
				-295.72, -- [3]
				-387.92, -- [4]
			},
			["connectmethod"] = 1,
			["middleclick"] = 2,
			["PhaseIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0.964706,
					["g"] = 0.0823529,
					["b"] = 0.309804,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 14,
				["framestrata"] = "LOW",
				["attachpoint"] = "RIGHT",
				["hidebg"] = 1,
				["alpha"] = 1,
				["xoffset"] = 19,
				["disablemouse"] = 1,
				["hide"] = true,
				["leftclick"] = 1,
			},
			["bgcontext"] = 1,
			["StatusIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["b"] = 0.309804,
					["g"] = 0.0823529,
					["r"] = 0.964706,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hide"] = 1,
				["disablemouse"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["xoffset"] = 3,
				["attachpoint"] = "RIGHT",
				["rightclick"] = 3,
				["yoffset"] = 14,
			},
			["bordercolor"] = {
				["b"] = 0.976470588235294,
				["g"] = 0.964705882352941,
				["r"] = 0.96078431372549,
			},
			["EliteTexture"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["attachpoint"] = "RIGHT",
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 128,
				["bgpadding"] = 5,
				["elitetexture"] = "",
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["hide"] = 1,
				["alpha"] = 1,
				["xoffset"] = 28.67,
				["bgalpha"] = 1,
				["hidebg"] = true,
				["yoffset"] = 86.86,
			},
			["TextBox"] = {
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Health Percentage",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 8.75,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "TOP",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["framelevel"] = 1,
					["borderalpha"] = 0,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["height"] = 10,
					["attach"] = "_HealthBar",
					["text"] = "$hp%",
					["mouseover"] = false,
					["width"] = 29,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 0,
					["rightclick"] = 3,
					["attachpoint"] = "TOP",
					["leftclick"] = 1,
				}, -- [1]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 0,
					["justifyV"] = "TOP",
					["textheight"] = 10,
					["middleclick"] = 2,
					["yoffset"] = 1,
					["framelevel"] = 2,
					["attachto"] = "TOP",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["label"] = "Level\\Class",
					["height"] = 12,
					["hidebg"] = 1,
					["bgpadding"] = 0,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["mouseover"] = false,
					["attach"] = "_Portrait",
					["text"] = "$lv $cl $ct",
					["alpha"] = 1,
					["width"] = 118,
					["disablemouse"] = 1,
					["font"] = "DUF_Font1.ttf",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["xoffset"] = 0,
					["rightclick"] = 3,
					["attachpoint"] = "TOP",
					["leftclick"] = 1,
				}, -- [2]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Mana Percentage",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["hideifnomana"] = 1,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["textheight"] = 8.75,
					["attachto"] = "TOP",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["borderalpha"] = 0,
					["height"] = 10,
					["hidebg"] = true,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["framelevel"] = 1,
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 29,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["text"] = "$mp%",
					["xoffset"] = 0,
					["rightclick"] = 3,
					["attachpoint"] = "TOP",
					["leftclick"] = 1,
				}, -- [3]
				{
					["bgcolor"] = {
						["b"] = 0.913725490196078,
						["g"] = 0.149019607843137,
						["r"] = 1,
					},
					["borderalpha"] = 0,
					["framestrata"] = "MEDIUM",
					["attachpoint"] = "TOPLEFT",
					["justifyV"] = "CENTER",
					["textheight"] = 14,
					["middleclick"] = 2,
					["yoffset"] = -17,
					["framelevel"] = 1,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["label"] = "",
					["height"] = 100,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 0.0352941176470588,
						["g"] = 0,
						["r"] = 0.866666666666667,
					},
					["justify"] = "CENTER",
					["hide"] = true,
					["attach"] = "_Portrait",
					["text"] = " ",
					["backgroundstyle"] = 1,
					["width"] = 124,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["bgalpha"] = 0.99,
					["mouseover"] = false,
					["xoffset"] = 0,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["rightclick"] = 3,
					["leftclick"] = 1,
				}, -- [4]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Elite",
					["rightclick"] = 3,
					["attachpoint"] = "TOPLEFT",
					["justifyV"] = "CENTER",
					["textheight"] = 15.25,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["bgalpha"] = 1,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 14,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 0,
						["b"] = 0.0901960784313726,
					},
					["justify"] = "LEFT",
					["mouseover"] = false,
					["attach"] = "_HealthBar",
					["text"] = "$cc",
					["alpha"] = 1,
					["width"] = 126,
					["framestrata"] = "LOW",
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["borderalpha"] = 0,
					["xoffset"] = 2,
					["framelevel"] = 1,
					["hideifnotext"] = 1,
					["yoffset"] = -3,
				}, -- [5]
				{
					["bgcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["label"] = "Model Name",
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "BOTTOM",
					["framelevel"] = 1,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachpoint"] = "BOTTOM",
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["framestrata"] = "BACKGROUND",
					["height"] = 10,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["text"] = "$nm",
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 210,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font3.ttf",
					["alpha"] = 1,
					["textheight"] = 10,
					["xoffset"] = 0,
					["borderalpha"] = 0,
					["bgtexture"] = "",
					["yoffset"] = 4,
				}, -- [6]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "BACKGROUND",
					["attachpoint"] = "BOTTOM",
					["justifyV"] = "CENTER",
					["textheight"] = 11,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["framelevel"] = 0,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["label"] = "Pedestal",
					["height"] = 11,
					["hide"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["bgtexture"] = "pedestal",
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["width"] = 65,
					["disablemouse"] = 1,
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["text"] = "",
					["xoffset"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [7]
				{
					["yoffset"] = 1,
					["bgcolor"] = {
						["r"] = 0.835294117647059,
						["g"] = 0.835294117647059,
						["b"] = 0.835294117647059,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 10,
					["middleclick"] = 2,
					["bgtexture"] = "",
					["framelevel"] = 0,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 12,
					["label"] = "Model ToT",
					["hide"] = false,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 0.964705882352941,
						["g"] = 0.968627450980392,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["mouseover"] = false,
					["attach"] = "_TextBox_6",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["width"] = 233,
					["hidebg"] = 1,
					["font"] = "DUF_Font3.ttf",
					["backgroundstyle"] = 1,
					["text"] = "Looking at $tn",
					["xoffset"] = 0,
					["rightclick"] = 3,
					["attachpoint"] = "TOP",
					["leftclick"] = 1,
				}, -- [8]
				{
					["outline"] = "NORMAL",
					["yoffset"] = 0,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["attachpoint"] = "CENTER",
					["justifyV"] = "CENTER",
					["textheight"] = 14,
					["middleclick"] = 2,
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["framelevel"] = 2,
					["attachto"] = "CENTER",
					["hideifnotext"] = 1,
					["height"] = 30,
					["label"] = "Death Status",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["mouseover"] = false,
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 100,
					["disablemouse"] = 1,
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["text"] = "$ds",
					["xoffset"] = 0,
					["framestrata"] = "BACKGROUND",
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [9]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["disablemouse"] = 1,
					["rightclick"] = 3,
					["attachpoint"] = "TOPRIGHT",
					["textheight"] = 14,
					["middleclick"] = 2,
					["hideifnotext"] = 1,
					["bgpadding"] = 1,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["font"] = "DUF_Font1.ttf",
					["height"] = 14,
					["yoffset"] = -3,
					["label"] = "Tapped",
					["justifyV"] = "CENTER",
					["framelevel"] = 2,
					["bgtexture"] = "",
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["hidebg"] = 1,
					["textcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 1,
					},
					["justify"] = "RIGHT",
					["formatM"] = 1,
					["attach"] = "_ManaBar",
					["alpha"] = 1,
					["width"] = 100,
					["xoffset"] = -1,
					["formatH"] = 1,
					["bgalpha"] = 1,
					["framestrata"] = "BACKGROUND",
					["borderalpha"] = 0,
					["text"] = "$do",
					["backgroundstyle"] = 1,
					["leftclick"] = 1,
				}, -- [10]
			},
			["QuestBossIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["middleclick"] = 2,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hide"] = false,
				["bgpadding"] = 3,
				["attach"] = "_Portrait",
				["bordercolor"] = {
					["r"] = 0.996078,
					["g"] = 1,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["size"] = 22,
				["alpha"] = 1,
				["attachpoint"] = "CENTER",
				["xoffset"] = -17,
				["hidebg"] = 1,
				["texture"] = "Interface\\TargetingFrame\\PortraitQuestBadge",
				["yoffset"] = 108.5,
			},
			["Debuffs"] = {
				["durationy"] = 0,
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOMRIGHT",
				["middleclick"] = 2,
				["tworows"] = 1,
				["background"] = false,
				["size"] = 19,
				["bgpadding"] = 3,
				["durationx"] = 0,
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 0,
					["r"] = 0.533333333333333,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["reverse"] = 1,
				["xoffset"] = -20,
				["yoffset"] = 35,
				["showduration"] = 1,
				["flash"] = 1,
				["spacing"] = 0,
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 1,
				["hidebg"] = 1,
				["hspacing"] = 1,
				["attachto"] = "TOP",
				["attach"] = "_Portrait",
				["alpha"] = 0.75,
				["backgroundstyle"] = 1,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["framestrata"] = "LOW",
				["altformat"] = 1,
				["framelevel"] = 0,
				["shown"] = 40,
				["bgalpha"] = 0,
				["durationcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["leftclick"] = 1,
			},
			["RaceIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["targetIcon"] = 1,
				["attachto"] = "RIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 18,
				["bgpadding"] = 5,
				["attach"] = "_ClassIcon",
				["bordercolor"] = {
					["r"] = 0.0941176,
					["g"] = 0.0941176,
					["b"] = 0.0901961,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["xoffset"] = 0,
				["attachpoint"] = "LEFT",
				["framestrata"] = "MEDIUM",
				["yoffset"] = 0,
			},
			["scale"] = 1,
			["leftclick"] = 1,
			["bgtexture"] = "",
			["height"] = 128,
			["recolor"] = false,
			["spacing"] = 0,
			["mouseovercolor"] = {
				["b"] = 0.498039215686275,
				["g"] = 0.184313725490196,
				["r"] = 0.458823529411765,
			},
			["hidebg"] = 1,
			["Markers"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "TOPLEFT",
				["yos"] = {
					0, -- [1]
					"-25", -- [2]
					"-50", -- [3]
					"-75", -- [4]
					"-25", -- [5]
					"-50", -- [6]
					"-75", -- [7]
					0, -- [8]
				},
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPRIGHT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["yoffset"] = -18,
				["hidebg"] = 1,
				["bgpadding"] = 7,
				["hidewhensolo"] = true,
				["framestrata"] = "HIGH",
				["xoffset"] = 9,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["r"] = 0.533333333333333,
					["g"] = 0.537254901960784,
					["b"] = 0.549019607843137,
				},
				["backgroundstyle"] = 2,
				["width"] = 125,
				["alpha"] = 1,
				["markersize"] = 18,
				["icons"] = {
					{
						["top"] = 0,
						["bottom"] = 0.25,
						["file"] = "interface\\targetingframe\\ui-raidtargetingicons",
						["left"] = 0,
						["right"] = 0.25,
					}, -- [1]
					{
						["top"] = 0,
						["bottom"] = 0.25,
						["file"] = "interface\\targetingframe\\ui-raidtargetingicons",
						["left"] = 0.25,
						["right"] = 0.5,
					}, -- [2]
					{
						["top"] = 0,
						["bottom"] = 0.25,
						["file"] = "interface\\targetingframe\\ui-raidtargetingicons",
						["left"] = 0.5,
						["right"] = 0.75,
					}, -- [3]
					{
						["top"] = 0,
						["bottom"] = 0.25,
						["file"] = "interface\\targetingframe\\ui-raidtargetingicons",
						["left"] = 0.75,
						["right"] = 1,
					}, -- [4]
					{
						["top"] = 0.25,
						["bottom"] = 0.5,
						["file"] = "interface\\targetingframe\\ui-raidtargetingicons",
						["left"] = 0,
						["right"] = 0.25,
					}, -- [5]
					{
						["top"] = 0.25,
						["bottom"] = 0.5,
						["file"] = "interface\\targetingframe\\ui-raidtargetingicons",
						["left"] = 0.25,
						["right"] = 0.5,
					}, -- [6]
					{
						["top"] = 0.25,
						["bottom"] = 0.5,
						["file"] = "interface\\targetingframe\\ui-raidtargetingicons",
						["left"] = 0.5,
						["right"] = 0.75,
					}, -- [7]
					{
						["top"] = 0.25,
						["bottom"] = 0.5,
						["file"] = "interface\\targetingframe\\ui-raidtargetingicons",
						["left"] = 0.75,
						["right"] = 1,
					}, -- [8]
				},
				["bgalpha"] = 1,
				["height"] = 91,
				["mouseover"] = 1,
				["xos"] = {
					0, -- [1]
					"0", -- [2]
					"0", -- [3]
					"0", -- [4]
					"106", -- [5]
					"106", -- [6]
					"106", -- [7]
					"106", -- [8]
				},
				["leftclick"] = 1,
			},
			["bordercontext"] = 1,
			["StatusBar"] = {
				{
					["direction"] = 3,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["rightclick"] = 3,
					["bgalpha"] = 0,
					["framelevel"] = -2,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
					["bgpadding"] = 0,
					["customtexture2"] = "bg",
					["attachpoint"] = "BOTTOMLEFT",
					["color"] = {
						["b"] = 0.682352941176471,
						["g"] = 0.419607843137255,
						["r"] = 0.231372549019608,
					},
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["backgroundstyle"] = 1,
					["width"] = 34,
					["color2"] = {
						["b"] = 0.890196078431373,
						["g"] = 0.0470588235294118,
						["r"] = 0.72156862745098,
					},
					["height"] = 105,
					["bordersize"] = 1,
					["alpha"] = 1,
					["xoffset"] = -42,
					["customtexture"] = "bg",
					["framestrata"] = "BACKGROUND",
					["yoffset"] = 15,
				}, -- [1]
				{
					["insanitycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["direction"] = 3,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["customtexture"] = "bg",
					["attachpoint"] = "BOTTOMRIGHT",
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["maelstrompower"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["furycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["recolor"] = false,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0.00392156862745098,
						["b"] = 0.105882352941177,
					},
					["color2"] = {
						["r"] = 0.564705882352941,
						["g"] = 0.415686274509804,
						["b"] = 0.615686274509804,
					},
					["height"] = 105,
					["yoffset"] = 15,
					["framelevel"] = -2,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 42,
					["holycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["manacolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["customtexture2"] = "bg",
					["focuscolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["bgpadding"] = 0,
					["attach"] = "_Portrait",
					["energycolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["alpha"] = 1,
					["width"] = 34,
					["bordersize"] = 1,
					["backgroundstyle"] = 1,
					["bgalpha"] = 0,
					["ragecolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["rightclick"] = 3,
					["framestrata"] = "BACKGROUND",
					["lunarpowercolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["leftclick"] = 1,
				}, -- [2]
				nil, -- [3]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["borderalpha"] = 1,
					["framestrata"] = "MEDIUM",
					["bgalpha"] = 0,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
					["hide"] = 1,
					["bgpadding"] = 2,
					["fill"] = 1,
					["attachpoint"] = "BOTTOM",
					["height"] = 11,
					["attach"] = "UIParent",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 199,
					["color2"] = {
						["r"] = 0.0588235294117647,
						["g"] = 0.0823529411764706,
						["b"] = 0.741176470588235,
					},
					["rightclick"] = 3,
					["alpha"] = 0.64,
					["bordersize"] = 1,
					["xoffset"] = 0,
					["color"] = {
						["r"] = 0.686274509803922,
						["g"] = 0.749019607843137,
						["b"] = 0.756862745098039,
					},
					["hidebg"] = 1,
					["yoffset"] = 115,
				}, -- [4]
				{
					["insanitycolor"] = {
						["b"] = 0.8,
						["g"] = 0,
						["r"] = 0.4,
					},
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["rightclick"] = 3,
					["attachpoint"] = "TOPLEFT",
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["r"] = 0,
						["g"] = 0.82,
						["b"] = 1,
					},
					["maelstrompower"] = {
						["b"] = 1,
						["g"] = 0.5,
						["r"] = 0,
					},
					["bgpadding"] = 1,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 9,
					["yoffset"] = -15.2599,
					["hideifnomana"] = true,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 239,
					["holycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["hide"] = 1,
					["bordersize"] = 1,
					["width"] = 122,
					["focuscolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["attach"] = "_HealthBar",
					["framestrata"] = "BACKGROUND",
					["backgroundstyle"] = 1,
					["energycolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["framelevel"] = 0,
					["bgalpha"] = 1,
					["ragecolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 1,
					},
					["disablemouse"] = 1,
					["manacolor"] = {
						["b"] = 1,
						["g"] = 0,
						["r"] = 0,
					},
					["recolor"] = false,
					["lunarpowercolor"] = {
						["b"] = 0.9,
						["g"] = 0.52,
						["r"] = 0.3,
					},
					["leftclick"] = 1,
				}, -- [5]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["ragecolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["attachpoint"] = "TOP",
					["middleclick"] = 2,
					["bgpadding"] = 1,
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["color2"] = {
						["r"] = 0.72156862745098,
						["g"] = 0.0470588235294118,
						["b"] = 0.890196078431373,
					},
					["height"] = 18,
					["yoffset"] = 0,
					["hideifnomana"] = true,
					["xoffset"] = 0,
					["hideifnocast"] = false,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["bordersize"] = 1,
					["focuscolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["hidebg"] = 1,
					["hide"] = true,
					["customtexture2"] = "bg",
					["manacolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["energycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["attach"] = "_HealthBar",
					["backgroundstyle"] = 1,
					["alpha"] = 1,
					["width"] = 152,
					["fade"] = 1,
					["framestrata"] = "MEDIUM",
					["bgalpha"] = 1,
					["rightclick"] = 3,
					["framelevel"] = 0,
					["recolor"] = false,
					["customtexture"] = "bg",
					["leftclick"] = 1,
				}, -- [6]
			},
			["bgalpha"] = 0.99,
			["xos"] = {
				0, -- [1]
				0, -- [2]
				0, -- [3]
				0, -- [4]
			},
			["attachpoint"] = {
				"BOTTOM", -- [1]
			},
			["Portrait"] = {
				["bgcolor"] = {
					["r"] = 0.0196078,
					["g"] = 0.0196078,
					["b"] = 0.0196078,
				},
				["disablemouse"] = 1,
				["framestrata"] = "BACKGROUND",
				["bgalpha"] = 0.13,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOM",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hidebg"] = 1,
				["bgpadding"] = 0,
				["bordcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["leftclick"] = 1,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["alpha"] = 1,
				["borderalpha"] = 0,
				["bgtexture"] = "",
				["size"] = 128,
				["attachpoint"] = "BOTTOM",
				["backgroundstyle"] = 4,
				["xoffset"] = 0,
				["rightclick"] = 3,
				["use3D"] = 1,
				["yoffset"] = 0,
			},
			["VoiceIcon"] = {
				["bgcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 0,
				["yoffset"] = 0,
				["backgroundstyle"] = 2,
				["bgalpha"] = 1,
				["rightclick"] = 3,
				["xoffset"] = 0,
				["bgtexture"] = "VoiceChat-Speaker.tga",
				["hide"] = 1,
				["leftclick"] = 1,
			},
			["alpha"] = 1,
			["width"] = 128,
			["backgroundstyle"] = 1,
			["LootIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["alpha"] = 1,
				["hide"] = 1,
				["xoffset"] = -10.36,
				["attachpoint"] = "TOPLEFT",
				["rightclick"] = 3,
				["yoffset"] = 1.11984,
			},
			["bgcolor"] = {
				["b"] = 1,
				["g"] = 1,
				["r"] = 1,
			},
			["attachto"] = {
				"BOTTOM", -- [1]
			},
			["bgpadding"] = 0,
			["Buffs"] = {
				["durationy"] = 0,
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["shown"] = 40,
				["attachpoint"] = "BOTTOMLEFT",
				["middleclick"] = 2,
				["tworows"] = 1,
				["background"] = false,
				["size"] = 19,
				["bgpadding"] = 3,
				["durationx"] = 0,
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 0.0392156862745098,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 20,
				["yoffset"] = 35,
				["showduration"] = 1,
				["framelevel"] = 0,
				["spacing"] = 0,
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 1,
				["hidebg"] = 1,
				["textcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["rightclick"] = 3,
				["attach"] = "_Portrait",
				["bgalpha"] = 0,
				["alpha"] = 0.75,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["framestrata"] = "LOW",
				["altformat"] = 1,
				["attachto"] = "TOP",
				["hspacing"] = 1,
				["durationcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["backgroundstyle"] = 1,
				["leftclick"] = 1,
			},
			["RoleIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["attachpoint"] = "CENTER",
				["middleclick"] = 2,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["hide"] = 1,
				["bgpadding"] = 3,
				["attach"] = "_Portrait",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 0.996078,
				},
				["alpha"] = 1,
				["yoffset"] = 9,
				["hidebg"] = 1,
				["bgalpha"] = 1,
				["xoffset"] = 1,
				["backgroundstyle"] = 2,
				["size"] = 16,
				["leftclick"] = 1,
			},
			["ClassIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 18,
				["bgpadding"] = 7,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["b"] = 0.549019607843137,
					["g"] = 0.537254901960784,
					["r"] = 0.533333333333333,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["bgalpha"] = 1,
				["xoffset"] = 7,
				["alpha"] = 1,
				["framestrata"] = "LOW",
				["yoffset"] = 0,
			},
		},
		["updatespeedbase"] = 25,
		["INITIALIZED7.0b"] = true,
		["INITIALIZED2.2"] = true,
		["rootpath"] = "Interface\\AddOns\\FauxMazzle\\Textures\\DUF\\",
		["healthcolor2"] = {
			["b"] = 0,
			["g"] = 0,
			["r"] = 0.733333333333333,
		},
		["lvlcolor3"] = {
			["r"] = 1,
			["g"] = 1,
			["b"] = 0,
		},
		["classcolorWarlock"] = {
			["b"] = 0.79,
			["g"] = 0.51,
			["r"] = 0.58,
		},
		["player"] = {
			["LeaderIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "RIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["updatespeedbase"] = 30,
				["size"] = 17,
				["bgpadding"] = 5,
				["attach"] = "_StatusIcon",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["xoffset"] = 0,
				["attachpoint"] = "LEFT",
				["framestrata"] = "LOW",
				["yoffset"] = 0,
			},
			["borderalpha"] = 0,
			["MAGE"] = {
				["direction"] = 1,
				["bgcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "BACKGROUND",
				["bgalpha"] = 1,
				["numtextures"] = 0,
				["framelevel"] = 0,
				["sizelock"] = true,
				["spacing"] = 0,
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["borders"] = {
				},
				["attachpoint"] = "CENTER",
				["hidebg"] = 1,
				["bgpadding"] = 5,
				["oocalpha"] = 0.4,
				["centeralign"] = true,
				["color"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["attach"] = "UIParent",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["width"] = 30,
				["bgsize"] = {
					["height"] = 16,
					["width"] = 12,
				},
				["backgroundstyle"] = 2,
				["attachto"] = "CENTER",
				["xoffset"] = 0,
				["height"] = 30,
				["disablemouse"] = false,
				["textures"] = {
				},
				["yoffset"] = -100,
			},
			["PVPIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 3,
				["middleclick"] = 2,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "_LeaderIcon",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["backgroundstyle"] = 2,
				["xoffset"] = -18,
				["attachpoint"] = "TOPLEFT",
				["rightclick"] = 3,
				["yoffset"] = 0,
			},
			["yos"] = {
				250, -- [1]
				-827.88998046875, -- [2]
				-205.72, -- [3]
				-297.92, -- [4]
			},
			["connectmethod"] = 1,
			["middleclick"] = 2,
			["PhaseIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["updatespeedbase"] = 30,
				["size"] = 17,
				["bgpadding"] = 5,
				["attach"] = "_LootIcon",
				["bordercolor"] = {
					["r"] = 0.964706,
					["g"] = 0.0823529,
					["b"] = 0.309804,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "BOTTOMLEFT",
				["alpha"] = 1,
				["xoffset"] = 17,
				["hidebg"] = 1,
				["hide"] = true,
				["leftclick"] = 1,
			},
			["DRUID"] = {
				["direction"] = 1,
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["color"] = {
					["b"] = 0.227450980392157,
					["g"] = 0.733333333333333,
					["r"] = 0.231372549019608,
				},
				["bgalpha"] = 1,
				["numtextures"] = 1,
				["framelevel"] = 0,
				["sizelock"] = true,
				["spacing"] = 3,
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["borders"] = {
				},
				["framestrata"] = "LOW",
				["hidebg"] = 1,
				["bgpadding"] = 5,
				["oocalpha"] = 0.3,
				["centeralign"] = true,
				["disablemouse"] = 1,
				["attach"] = "UIParent",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["width"] = 15,
				["xoffset"] = 0,
				["attachpoint"] = "CENTER",
				["backgroundstyle"] = 2,
				["attachto"] = "CENTER",
				["height"] = 15,
				["hide"] = false,
				["textures"] = {
					{
						["defaultcolor"] = true,
						["level"] = "ARTWORK",
						["color"] = {
							["b"] = 0.227450980392157,
							["g"] = 0.733333333333333,
							["r"] = 0.231372549019608,
						},
						["texture"] = "fmcombo",
					}, -- [1]
				},
				["yoffset"] = -98,
			},
			["updatespeedbase"] = 25,
			["bgpadding"] = 0,
			["StatusIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["updatespeedbase"] = 30,
				["size"] = 17,
				["bgpadding"] = 5,
				["attach"] = "_LootIcon",
				["bordercolor"] = {
					["b"] = 0.309804,
					["g"] = 0.0823529,
					["r"] = 0.964706,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["xoffset"] = 0,
				["attachpoint"] = "BOTTOMLEFT",
				["framestrata"] = "LOW",
				["yoffset"] = 0,
			},
			["bordercolor"] = {
				["r"] = 0.796078431372549,
				["g"] = 0.498039215686275,
				["b"] = 0,
			},
			["TotemFrame"] = {
				["direction"] = 3,
				["bgcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["borderalpha"] = 0,
				["scale"] = 0.77,
				["attachpoint"] = "RIGHT",
				["numtextures"] = 0,
				["framelevel"] = 0,
				["sizelock"] = true,
				["bgalpha"] = 1,
				["spacing"] = 7,
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["borders"] = {
				},
				["framestrata"] = "BACKGROUND",
				["hidebg"] = 1,
				["bgpadding"] = 5,
				["oocalpha"] = 0.4,
				["textures"] = {
				},
				["height"] = 30,
				["attach"] = "UIParent",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["width"] = 30,
				["disablemouse"] = false,
				["xoffset"] = -90,
				["attachto"] = "CENTER",
				["backgroundstyle"] = 2,
				["bgsize"] = {
					["height"] = 16,
					["width"] = 12,
				},
				["color"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["centeralign"] = true,
				["yoffset"] = -40,
			},
			["WARLOCK"] = {
				["centeralign"] = true,
				["bgcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "BACKGROUND",
				["bgalpha"] = 1,
				["numtextures"] = 0,
				["framelevel"] = 0,
				["sizelock"] = true,
				["attachto"] = "CENTER",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["borders"] = {
				},
				["spacing"] = 5,
				["hidebg"] = 1,
				["textures"] = {
				},
				["oocalpha"] = 0.4,
				["bgpadding"] = 5,
				["disablemouse"] = false,
				["attach"] = "UIParent",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["backgroundstyle"] = 2,
				["width"] = 20,
				["height"] = 20,
				["xoffset"] = -5,
				["attachpoint"] = "CENTER",
				["color"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["bgsize"] = {
					["height"] = 16,
					["width"] = 12,
				},
				["alpha"] = 1,
				["direction"] = 1,
				["yoffset"] = -107,
			},
			["height"] = 117,
			["Debuffs"] = {
				["durationy"] = -2,
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["shown"] = 10,
				["attachpoint"] = "BOTTOMLEFT",
				["middleclick"] = 2,
				["background"] = false,
				["size"] = 24,
				["bgpadding"] = 3,
				["durationx"] = 0,
				["bordercolor"] = {
					["r"] = 0.533333333333333,
					["g"] = 0,
					["b"] = 1,
				},
				["durationalpha"] = 1,
				["xoffset"] = 0.82,
				["yoffset"] = 12.27,
				["showduration"] = 1,
				["framelevel"] = 0,
				["vertical"] = false,
				["spacing"] = 0,
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["hspacing"] = 6,
				["attach"] = "_Buffs",
				["attachto"] = "TOPLEFT",
				["backgroundstyle"] = 1,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["altformat"] = 1,
				["bgalpha"] = 0,
				["rightclick"] = 3,
				["framestrata"] = "LOW",
				["alpha"] = 0.75,
				["leftclick"] = 1,
			},
			["RaceIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 28,
				["bgpadding"] = 5,
				["attach"] = "_ClassIcon",
				["bordercolor"] = {
					["r"] = 0.0941176,
					["g"] = 0.0941176,
					["b"] = 0.0901961,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["attachpoint"] = "TOPLEFT",
				["backgroundstyle"] = 2,
				["xoffset"] = 113,
				["rightclick"] = 3,
				["hide"] = true,
				["yoffset"] = 56,
			},
			["leftclick"] = 1,
			["MONK1"] = {
				["centeralign"] = true,
				["bgcolor"] = {
					["b"] = 0.470588235294118,
					["g"] = 0.219607843137255,
					["r"] = 0.211764705882353,
				},
				["disablemouse"] = false,
				["color"] = {
					["b"] = 1,
					["g"] = 0.615686274509804,
					["r"] = 0.501960784313726,
				},
				["attachpoint"] = "CENTER",
				["numtextures"] = 1,
				["framelevel"] = 0,
				["borderalpha"] = 0.65,
				["attachto"] = "CENTER",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["borders"] = {
				},
				["xoffset"] = 0,
				["hidebg"] = false,
				["bgpadding"] = 5,
				["oocalpha"] = 0.4,
				["alpha"] = 1,
				["bgsize"] = {
					["height"] = 16,
					["width"] = 12,
				},
				["attach"] = "UIParent",
				["bordercolor"] = {
					["r"] = 0.945098039215686,
					["g"] = 0.796078431372549,
					["b"] = 0.584313725490196,
				},
				["backgroundstyle"] = 2,
				["width"] = 120,
				["color2"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["framestrata"] = "BACKGROUND",
				["bgalpha"] = 1,
				["spacing"] = -3,
				["height"] = 11,
				["textures"] = {
					{
						["level"] = "ARTWORK",
						["texture"] = "bg0",
					}, -- [1]
				},
				["direction"] = 1,
				["yoffset"] = -100,
			},
			["scale"] = 1,
			["Portrait"] = {
				["bgcolor"] = {
					["r"] = 0.0196078,
					["g"] = 0.0196078,
					["b"] = 0.0196078,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOMLEFT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOMLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hidebg"] = 1,
				["bgpadding"] = 0,
				["bordcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["bgalpha"] = 0.43,
				["size"] = 117,
				["backgroundstyle"] = 1,
				["xoffset"] = 0,
				["use3D"] = 1,
				["framestrata"] = "LOW",
				["yoffset"] = 0,
			},
			["recolor"] = false,
			["attachto"] = {
				"BOTTOMLEFT", -- [1]
			},
			["xos"] = {
				-8, -- [1]
				66.72, -- [2]
				67.36, -- [3]
				68, -- [4]
			},
			["bgalpha"] = 0.99,
			["spacing"] = 0,
			["mouseovercolor"] = {
				["b"] = 0.498039215686275,
				["g"] = 0.184313725490196,
				["r"] = 0.458823529411765,
			},
			["rightclick"] = 3,
			["PALADIN"] = {
				["centeralign"] = true,
				["bgcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "BACKGROUND",
				["bgalpha"] = 1,
				["numtextures"] = 0,
				["framelevel"] = 0,
				["sizelock"] = true,
				["spacing"] = 2,
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["borders"] = {
				},
				["attachpoint"] = "CENTER",
				["hidebg"] = 1,
				["textures"] = {
				},
				["oocalpha"] = 0.4,
				["bgpadding"] = 5,
				["disablemouse"] = false,
				["attach"] = "UIParent",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["width"] = 22,
				["height"] = 22,
				["xoffset"] = 0,
				["attachto"] = "CENTER",
				["backgroundstyle"] = 2,
				["bgsize"] = {
					["height"] = 16,
					["width"] = 12,
				},
				["color"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["direction"] = 1,
				["yoffset"] = -102,
			},
			["hidebg"] = 1,
			["DEATHKNIGHT"] = {
				["centeralign"] = true,
				["cooldownfontsize"] = 8,
				["borderalpha"] = 0,
				["color"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["bgalpha"] = 1,
				["textures"] = {
				},
				["oocalpha"] = 0.3,
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["bgsize"] = {
					["height"] = 16,
					["width"] = 12,
				},
				["yoffset"] = -100,
				["cooldownspeccolors"] = true,
				["numtextures"] = 0,
				["framelevel"] = 0,
				["sizelock"] = true,
				["spacing"] = 0,
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["borders"] = {
				},
				["bgHeight"] = 16,
				["hidebg"] = 1,
				["height"] = 22,
				["backgroundstyle"] = 2,
				["cooldownfont"] = "Fonts/ARIALN.TTF",
				["attach"] = "UIParent",
				["attachto"] = "CENTER",
				["alpha"] = 1,
				["width"] = 22,
				["disablemouse"] = false,
				["attachpoint"] = "CENTER",
				["framestrata"] = "BACKGROUND",
				["cooldownfonthide"] = false,
				["direction"] = 1,
				["bgpadding"] = 5,
				["xoffset"] = 0,
				["bgcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
			},
			["alpha"] = 1,
			["TempEnchants"] = {
				["durationy"] = 0,
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["framestrata"] = "BACKGROUND",
				["bgalpha"] = 1,
				["middleclick"] = 2,
				["usemouseovercolor"] = 1,
				["background"] = false,
				["size"] = 22,
				["bgpadding"] = 1,
				["init"] = true,
				["durationx"] = 0,
				["bordercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 30,
				["hspacing"] = 0,
				["showduration"] = 1,
				["duf_index"] = true,
				["framelevel"] = 0,
				["vertical"] = 1,
				["spacing"] = 3,
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 7,
				["teinit"] = true,
				["hidebg"] = 1,
				["yoffset"] = 0,
				["attach"] = "Unit Frame",
				["rightclick"] = 3,
				["backgroundstyle"] = 1,
				["durationheight"] = 6,
				["durationfont"] = "DUF_Font1.ttf",
				["shown"] = 2,
				["altformat"] = 1,
				["attachto"] = "TOPLEFT",
				["attachpoint"] = "TOPRIGHT",
				["durationcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
			},
			["bgcolor"] = {
				["r"] = 1,
				["g"] = 1,
				["b"] = 1,
			},
			["StatusBar"] = {
				{
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["customtexture"] = "bg",
					["attachpoint"] = "BOTTOMLEFT",
					["framelevel"] = 0,
					["middleclick"] = 3,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 0.0392156862745098,
						["b"] = 0.905882352941177,
					},
					["leftclick"] = 1,
					["bgpadding"] = 1,
					["customtexture2"] = "bg",
					["bgalpha"] = 0,
					["color"] = {
						["r"] = 0.231372549019608,
						["g"] = 0.419607843137255,
						["b"] = 0.682352941176471,
					},
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 160,
					["color2"] = {
						["r"] = 0.72156862745098,
						["g"] = 0.0470588235294118,
						["b"] = 0.890196078431373,
					},
					["height"] = 25,
					["backgroundstyle"] = 1,
					["alpha"] = 1,
					["xoffset"] = -23,
					["framestrata"] = "LOW",
					["rightclick"] = 3,
					["yoffset"] = 40,
				}, -- [1]
				{
					["insanitycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["ragecolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["bgalpha"] = 0,
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["maelstrompower"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["furycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["bgpadding"] = 1,
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["color2"] = {
						["r"] = 0.564705882352941,
						["g"] = 0.415686274509804,
						["b"] = 0.615686274509804,
					},
					["xoffset"] = 0,
					["yoffset"] = 0,
					["hideifnomana"] = 1,
					["height"] = 23,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["holycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["backgroundstyle"] = 1,
					["color"] = {
						["b"] = 0.101960784313726,
						["g"] = 0.494117647058824,
						["r"] = 0.0784313725490196,
					},
					["bordersize"] = 1,
					["customtexture2"] = "bg",
					["focuscolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["energycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["attach"] = "_HealthBar",
					["customtexture"] = "bg",
					["alpha"] = 1,
					["width"] = 160,
					["attachpoint"] = "TOP",
					["rightclick"] = 3,
					["framelevel"] = 0,
					["manacolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["framestrata"] = "LOW",
					["recolor"] = false,
					["lunarpowercolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["leftclick"] = 1,
				}, -- [2]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0.43921568627451,
						["g"] = 0.00784313725490196,
						["r"] = 0.0470588235294118,
					},
					["borderalpha"] = 0.5,
					["rightclick"] = 3,
					["attachpoint"] = "TOP",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["yoffset"] = 0,
					["customtexture"] = "bg",
					["bgpadding"] = 1,
					["customtexture2"] = "bg",
					["color"] = {
						["r"] = 0.666666666666667,
						["g"] = 0.509803921568627,
						["b"] = 0.937254901960784,
					},
					["xoffset"] = 0,
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["r"] = 0.00392156862745098,
						["g"] = 0.00392156862745098,
						["b"] = 0.00784313725490196,
					},
					["backgroundstyle"] = 1,
					["width"] = 160,
					["color2"] = {
						["r"] = 0.0862745098039216,
						["g"] = 0.133333333333333,
						["b"] = 0.184313725490196,
					},
					["bordersize"] = 1,
					["recolor"] = false,
					["alpha"] = 0.75,
					["height"] = 14,
					["framestrata"] = "BACKGROUND",
					["bgalpha"] = 0.68,
					["leftclick"] = 1,
				}, -- [3]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 1,
					["color"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 0,
					},
					["bgalpha"] = 1,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["hide"] = 1,
					["bgpadding"] = 1,
					["leftclick"] = 1,
					["framestrata"] = "BACKGROUND",
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 122,
					["color2"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["attachpoint"] = "TOPLEFT",
					["height"] = 9,
					["alpha"] = 1,
					["xoffset"] = 5.47862,
					["backgroundstyle"] = 1,
					["rightclick"] = 3,
					["yoffset"] = -5.08034,
				}, -- [4]
				{
					["insanitycolor"] = {
						["b"] = 0.8,
						["g"] = 0,
						["r"] = 0.4,
					},
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["ragecolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 1,
					},
					["bgalpha"] = 1,
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["b"] = 1,
						["g"] = 0.82,
						["r"] = 0,
					},
					["maelstrompower"] = {
						["b"] = 1,
						["g"] = 0.5,
						["r"] = 0,
					},
					["recolor"] = false,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 9,
					["yoffset"] = -15.2599,
					["hideifnomana"] = true,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 5.95745,
					["hide"] = 1,
					["holycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["manacolor"] = {
						["b"] = 1,
						["g"] = 0,
						["r"] = 0,
					},
					["focuscolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["energycolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["attach"] = "Unit Frame",
					["alpha"] = 1,
					["bordersize"] = 1,
					["width"] = 122,
					["backgroundstyle"] = 1,
					["framelevel"] = 0,
					["rightclick"] = 3,
					["attachpoint"] = "TOPLEFT",
					["framestrata"] = "BACKGROUND",
					["bgpadding"] = 1,
					["lunarpowercolor"] = {
						["b"] = 0.9,
						["g"] = 0.52,
						["r"] = 0.3,
					},
					["leftclick"] = 1,
				}, -- [5]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "BACKGROUND",
					["attachpoint"] = "TOPLEFT",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
					["bgalpha"] = 1,
					["hide"] = 1,
					["bgpadding"] = 1,
					["customtexture2"] = "bg",
					["rightclick"] = 3,
					["height"] = 7,
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 180,
					["color2"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["recolor"] = false,
					["backgroundstyle"] = 1,
					["xoffset"] = 0,
					["customtexture"] = "bg",
					["color"] = {
						["r"] = 0.807843137254902,
						["g"] = 0.505882352941176,
						["b"] = 0.149019607843137,
					},
					["yoffset"] = -31,
				}, -- [6]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["customtexture"] = "bg0",
					["bgalpha"] = 1,
					["middleclick"] = 2,
					["recolor"] = false,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["b"] = 0.890196078431373,
						["g"] = 0.0470588235294118,
						["r"] = 0.72156862745098,
					},
					["xoffset"] = 0,
					["yoffset"] = -15,
					["fade"] = 1,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["height"] = 10,
					["rightclick"] = 3,
					["hidebg"] = 1,
					["bordersize"] = 1,
					["customtexture2"] = "bg0",
					["manacolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["energycolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["attach"] = "_ManaBar",
					["alpha"] = 1,
					["backgroundstyle"] = 1,
					["width"] = 160,
					["framelevel"] = 0,
					["bgpadding"] = 1,
					["hideifnomana"] = true,
					["framestrata"] = "BACKGROUND",
					["attachpoint"] = "TOPLEFT",
					["hideifnocast"] = false,
					["ragecolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["leftclick"] = 1,
				}, -- [7]
			},
			["VoiceIcon"] = {
				["bgcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 14,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["hide"] = 1,
				["bgtexture"] = "VoiceChat-Speaker.tga",
				["rightclick"] = 3,
				["xoffset"] = 41,
				["bgalpha"] = 1,
				["backgroundstyle"] = 2,
				["yoffset"] = -22,
			},
			["backgroundstyle"] = 1,
			["width"] = 117,
			["ROGUE"] = {
				["centeralign"] = true,
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["color"] = {
					["r"] = 0.231372549019608,
					["g"] = 0.733333333333333,
					["b"] = 0.227450980392157,
				},
				["bgalpha"] = 1,
				["numtextures"] = 1,
				["framelevel"] = 0,
				["sizelock"] = true,
				["spacing"] = 3,
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["borders"] = {
				},
				["framestrata"] = "LOW",
				["hidebg"] = 1,
				["textures"] = {
					{
						["defaultcolor"] = true,
						["level"] = "ARTWORK",
						["color"] = {
							["r"] = 0.231372549019608,
							["g"] = 0.733333333333333,
							["b"] = 0.227450980392157,
						},
						["texture"] = "fmcombo",
					}, -- [1]
				},
				["oocalpha"] = 0.3,
				["bgpadding"] = 5,
				["hide"] = false,
				["attach"] = "UIParent",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["width"] = 15,
				["height"] = 15,
				["attachto"] = "CENTER",
				["backgroundstyle"] = 2,
				["attachpoint"] = "CENTER",
				["xoffset"] = 0,
				["disablemouse"] = 1,
				["direction"] = 1,
				["yoffset"] = -98,
			},
			["LootIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 17,
				["bgpadding"] = 5,
				["attach"] = "_TextBox_1",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["backgroundstyle"] = 2,
				["xoffset"] = 0,
				["attachpoint"] = "BOTTOMLEFT",
				["rightclick"] = 3,
				["yoffset"] = 0,
			},
			["attachpoint"] = {
				"BOTTOMLEFT", -- [1]
			},
			["MONK"] = {
				["direction"] = 1,
				["bgcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["borderalpha"] = 0,
				["color"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["attachpoint"] = "CENTER",
				["numtextures"] = 0,
				["framelevel"] = 0,
				["sizelock"] = true,
				["disablemouse"] = false,
				["attachto"] = "CENTER",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["borders"] = {
				},
				["centeralign"] = true,
				["hidebg"] = 1,
				["textures"] = {
				},
				["oocalpha"] = 0.4,
				["bgpadding"] = 5,
				["height"] = 21,
				["attach"] = "UIParent",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["backgroundstyle"] = 2,
				["width"] = 21,
				["color2"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["spacing"] = -3,
				["bgalpha"] = 1,
				["framestrata"] = "BACKGROUND",
				["bgsize"] = {
					["height"] = 16,
					["width"] = 12,
				},
				["alpha"] = 1,
				["xoffset"] = 0,
				["yoffset"] = -98,
			},
			["RoleIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOMLEFT",
				["middleclick"] = 2,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 3,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0.996078,
					["g"] = 1,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["alpha"] = 1,
				["xoffset"] = -44,
				["bgalpha"] = 1,
				["hidebg"] = 1,
				["yoffset"] = 1,
			},
			["Buffs"] = {
				["durationy"] = -2,
				["bgcolor"] = {
					["r"] = 0.788235294117647,
					["g"] = 0.752941176470588,
					["b"] = 0.0235294117647059,
				},
				["borderalpha"] = 1,
				["shown"] = 16,
				["bgalpha"] = 0,
				["middleclick"] = 2,
				["tworows"] = 1,
				["background"] = false,
				["size"] = 24,
				["bgpadding"] = 3,
				["durationx"] = 0,
				["bordercolor"] = {
					["r"] = 0.0392156862745098,
					["g"] = 1,
					["b"] = 0,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 10,
				["yoffset"] = 10,
				["showduration"] = 1,
				["framelevel"] = 0,
				["bgtexture"] = "",
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 15,
				["hidebg"] = 1,
				["hspacing"] = 6,
				["attach"] = "Unit Frame",
				["spacing"] = 0,
				["backgroundstyle"] = 1,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["alpha"] = 0.75,
				["altformat"] = 1,
				["framestrata"] = "LOW",
				["rightclick"] = 3,
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["attachpoint"] = "BOTTOMLEFT",
				["leftclick"] = 1,
			},
			["TextBox"] = {
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0.0901960784313726,
						["g"] = 0.0117647058823529,
						["r"] = 0.0862745098039216,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 0.57,
					["justifyV"] = "CENTER",
					["textheight"] = 14,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "LEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["text"] = "$nm",
					["alpha"] = 1,
					["hidebg"] = 1,
					["bgpadding"] = 7,
					["textcolor"] = {
						["r"] = 0.984313725490196,
						["g"] = 0.996078431372549,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["xoffset"] = -1,
					["attach"] = "_HealthBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 2,
					["width"] = 108,
					["attachpoint"] = "LEFT",
					["font"] = "DUF_Font3.ttf",
					["framestrata"] = "LOW",
					["bgtexture"] = "",
					["height"] = 16,
					["label"] = "Name",
					["framelevel"] = 1,
					["yoffset"] = 20,
				}, -- [1]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Level\\Class",
					["rightclick"] = 3,
					["attachpoint"] = "BOTTOMRIGHT",
					["justifyV"] = "BOTTOM",
					["framelevel"] = 1,
					["middleclick"] = 2,
					["attachto"] = "TOPRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["yoffset"] = 1,
					["textheight"] = 10,
					["hidebg"] = 1,
					["bgpadding"] = 0,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "RIGHT",
					["borderalpha"] = 0,
					["attach"] = "_HealthBar",
					["text"] = "$lv$nl$cl",
					["backgroundstyle"] = 1,
					["width"] = 79,
					["height"] = 30,
					["font"] = "DUF_Font1.ttf",
					["framestrata"] = "LOW",
					["alpha"] = 1,
					["xoffset"] = 3,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [2]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "RIGHT",
					["textheight"] = 13,
					["middleclick"] = 2,
					["bgpadding"] = 1,
					["text"] = "$hk/$kh",
					["mouseover"] = false,
					["font"] = "DUF_Font1.ttf",
					["xoffset"] = 3,
					["yoffset"] = -1,
					["label"] = "Health Text",
					["formatH"] = 3,
					["framelevel"] = 1,
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["hidebg"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "RIGHT",
					["formatM"] = 3,
					["attach"] = "_HealthBar",
					["backgroundstyle"] = 1,
					["width"] = 165,
					["alpha"] = 1,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 18,
					["shortHealth"] = false,
					["bgalpha"] = 1,
					["rightclick"] = 3,
					["justifyV"] = "CENTER",
					["leftclick"] = 1,
				}, -- [3]
				{
					["outline"] = "NORMAL",
					["yoffset"] = 0,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 13,
					["middleclick"] = 2,
					["framelevel"] = 1,
					["label"] = "Mana Text",
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 3,
					["mouseover"] = false,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "RIGHT",
					["formatM"] = 3,
					["attach"] = "_ManaBar",
					["text"] = "$mk/$km",
					["alpha"] = 1,
					["width"] = 165,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font1.ttf",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["rightclick"] = 3,
					["height"] = 10,
					["attachpoint"] = "RIGHT",
					["formatH"] = 3,
					["leftclick"] = 1,
				}, -- [4]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["disablemouse"] = 1,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 14,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachpoint"] = "TOPRIGHT",
					["attachto"] = "LEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 138,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["alpha"] = 1,
					["attach"] = "_PVPIcon",
					["text"] = "$rd$rh",
					["backgroundstyle"] = 1,
					["width"] = 108,
					["framestrata"] = "LOW",
					["font"] = "DUF_Font1.ttf",
					["mouseover"] = false,
					["framelevel"] = 2,
					["height"] = 10,
					["label"] = "Damage Overlay",
					["borderalpha"] = 0,
					["yoffset"] = 23,
				}, -- [5]
				{
					["yoffset"] = 190,
					["hideifnotext"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 9,
					["middleclick"] = 2,
					["framelevel"] = 1,
					["xoffset"] = 60,
					["attachto"] = "CENTER",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["label"] = "Rep",
					["attachpoint"] = "CENTER",
					["hidebg"] = 1,
					["bgpadding"] = 0,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["mouseover"] = false,
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["width"] = 121,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font1.ttf",
					["text"] = "$wf($wr): $wc/$wm ($wp%)",
					["hide"] = true,
					["height"] = 100,
					["hideiftextis"] = "(): 0/0 (%)",
					["framestrata"] = "MEDIUM",
					["leftclick"] = 1,
				}, -- [6]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0.364705882352941,
						["g"] = 0.407843137254902,
						["r"] = 0.223529411764706,
					},
					["borderalpha"] = 0,
					["rightclick"] = 2,
					["bgalpha"] = 0.79,
					["justifyV"] = "CENTER",
					["textheight"] = 10,
					["middleclick"] = 2,
					["attachto"] = "LEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["yoffset"] = -18,
					["framelevel"] = 0,
					["hidebg"] = 1,
					["bgpadding"] = 0,
					["textcolor"] = {
						["r"] = 0.988235,
						["g"] = 0.968627,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["label"] = "XP Info",
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["width"] = 160,
					["height"] = 12,
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["text"] = "XP $xx% left ($xb% Rest)",
					["xoffset"] = 2,
					["framestrata"] = "LOW",
					["attachpoint"] = "LEFT",
					["leftclick"] = 1,
				}, -- [7]
				{
					["bgcolor"] = {
						["r"] = 1,
						["g"] = 0.756862745098039,
						["b"] = 0.698039215686275,
					},
					["borderalpha"] = 0,
					["framestrata"] = "BACKGROUND",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 9.75,
					["bgtexture"] = "pedestal",
					["yoffset"] = -3,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["framelevel"] = -5,
					["label"] = "Pedestal",
					["xoffset"] = 0,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 0.121569,
						["b"] = 0.215686,
					},
					["justify"] = "CENTER",
					["middleclick"] = 2,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["width"] = 80,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["mouseover"] = false,
					["height"] = 25,
					["text"] = " ",
					["attachpoint"] = "BOTTOM",
					["leftclick"] = 1,
				}, -- [8]
				{
					["outline"] = "NORMAL",
					["yoffset"] = 90,
					["bgcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["disablemouse"] = 1,
					["framestrata"] = "LOW",
					["attachpoint"] = "BOTTOMLEFT",
					["justifyV"] = "CENTER",
					["textheight"] = 7,
					["middleclick"] = 2,
					["framelevel"] = 0,
					["label"] = "Unused",
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 14,
					["mouseover"] = false,
					["hide"] = true,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "RIGHT",
					["alpha"] = 1,
					["attach"] = "Unit Frame",
					["text"] = "",
					["backgroundstyle"] = 1,
					["width"] = 160,
					["hidebg"] = true,
					["font"] = "DUF_Font1.ttf",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["rightclick"] = 3,
					["xoffset"] = -23,
					["borderalpha"] = 0,
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [9]
				{
					["outline"] = "NORMAL",
					["yoffset"] = 0,
					["bgcolor"] = {
						["r"] = 0.827450980392157,
						["g"] = 0.105882352941177,
						["b"] = 0.890196078431373,
					},
					["disablemouse"] = 1,
					["rightclick"] = 3,
					["bgalpha"] = 0.58,
					["maxcharacters"] = 15,
					["textheight"] = 11,
					["middleclick"] = 2,
					["framelevel"] = 2,
					["justifyV"] = "CENTER",
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 11,
					["label"] = "PvP Countdown",
					["hidebg"] = 1,
					["bgpadding"] = 7,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["mouseover"] = false,
					["attach"] = "_PVPIcon",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 2,
					["width"] = 35,
					["text"] = "$pf",
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["borderalpha"] = 0,
					["xoffset"] = 0,
					["framestrata"] = "BACKGROUND",
					["attachpoint"] = "LEFT",
					["leftclick"] = 1,
				}, -- [10]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0.0901960784313726,
						["g"] = 0.0117647058823529,
						["r"] = 0.0862745098039216,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 0.57,
					["justifyV"] = "CENTER",
					["framelevel"] = 1,
					["bgtexture"] = "",
					["yoffset"] = -14,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["middleclick"] = 2,
					["textheight"] = 7,
					["hidebg"] = 1,
					["bgpadding"] = 0,
					["textcolor"] = {
						["r"] = 0.984313725490196,
						["g"] = 0.996078431372549,
						["b"] = 1,
					},
					["justify"] = "RIGHT",
					["height"] = 10,
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 2,
					["width"] = 60,
					["attachpoint"] = "TOPRIGHT",
					["font"] = "DUF_Font3.ttf",
					["alpha"] = 1,
					["text"] = "$rp%",
					["xoffset"] = 0,
					["disablemouse"] = false,
					["framestrata"] = "LOW",
					["leftclick"] = 1,
				}, -- [11]
			},
			["ClassIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "TOPRIGHT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 38,
				["bgpadding"] = 5,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["b"] = 0.0666666666666667,
					["g"] = 0.0666666666666667,
					["r"] = 0.0666666666666667,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["framestrata"] = "BACKGROUND",
				["bgalpha"] = 0,
				["alpha"] = 1,
				["xoffset"] = -10,
				["disablemouse"] = 1,
				["hide"] = 1,
				["yoffset"] = -15,
			},
		},
		["manathreshold2"] = 0.3,
		["INITIALIZED6.0"] = true,
		["INITIALIZED5.6"] = true,
		["classcolorPriest"] = {
			["b"] = 1,
			["g"] = 1,
			["r"] = 1,
		},
		["attachpoint"] = "BOTTOMLEFT",
		["lvlcolor2"] = {
			["b"] = 0,
			["g"] = 1,
			["r"] = 0,
		},
		["INITIALIZED5.7"] = true,
		["party"] = {
			["bgcolor"] = {
				["r"] = 1,
				["g"] = 1,
				["b"] = 1,
			},
			["borderalpha"] = 0,
			["rightclick"] = 3,
			["bgalpha"] = 1,
			["yos"] = {
				151, -- [1]
				151, -- [2]
				151, -- [3]
				151, -- [4]
			},
			["connectmethod"] = 3,
			["middleclick"] = 2,
			["PhaseIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["b"] = 0.309804,
					["g"] = 0.0823529,
					["r"] = 0.964706,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["attachpoint"] = "RIGHT",
				["xoffset"] = 17,
				["framestrata"] = "LOW",
				["hide"] = false,
				["yoffset"] = 53,
			},
			["RoleIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOM",
				["middleclick"] = 2,
				["attachto"] = "BOTTOMLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 3,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0.996078,
					["g"] = 1,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["alpha"] = 1,
				["xoffset"] = 0,
				["bgalpha"] = 1,
				["hidebg"] = 1,
				["yoffset"] = 0,
			},
			["StatusIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0.964706,
					["g"] = 0.0823529,
					["b"] = 0.309804,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 0,
				["hide"] = 1,
				["framestrata"] = "LOW",
				["attachpoint"] = "RIGHT",
				["xoffset"] = -3,
				["alpha"] = 1,
				["hidebg"] = 1,
				["leftclick"] = 1,
			},
			["bordercolor"] = {
				["r"] = 0.533333333333333,
				["g"] = 0.537254901960784,
				["b"] = 0.549019607843137,
			},
			["TextBox"] = {
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["label"] = "Name",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "TOPRIGHT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["text"] = "$nm",
					["alpha"] = 1,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "LEFT",
					["xoffset"] = 0,
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 103,
					["attachpoint"] = "TOPLEFT",
					["font"] = "DUF_Font3.ttf",
					["rightclick"] = 3,
					["mouseover"] = false,
					["height"] = 16,
					["borderalpha"] = 0,
					["textheight"] = 14.25,
					["yoffset"] = 0,
				}, -- [1]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 10,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["text"] = "$lv $cl$nlH:             M:",
					["alpha"] = 1,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 0.937254901960784,
						["g"] = 1,
						["b"] = 0.345098039215686,
					},
					["justify"] = "LEFT",
					["xoffset"] = 3,
					["attach"] = "_TextBox_1",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 103,
					["attachpoint"] = "TOPLEFT",
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["mouseover"] = false,
					["height"] = 39,
					["label"] = "Level\\Class",
					["framelevel"] = 0,
					["yoffset"] = 5,
				}, -- [2]
				{
					["outline"] = "NORMAL",
					["yoffset"] = -22,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["formatH"] = 1,
					["textheight"] = 10,
					["middleclick"] = 2,
					["framelevel"] = 0,
					["label"] = "Health Text",
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["xoffset"] = 0,
					["mouseover"] = false,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "LEFT",
					["formatM"] = 1,
					["attach"] = "Unit Frame",
					["text"] = "$hk$nl$kh",
					["backgroundstyle"] = 1,
					["width"] = 40,
					["rightclick"] = 3,
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["height"] = 22,
					["attachpoint"] = "LEFT",
					["justifyV"] = "BOTTOM",
					["leftclick"] = 1,
				}, -- [3]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["label"] = "Mana %",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "TOP",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["textheight"] = 8,
					["borderalpha"] = 0,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["xoffset"] = 0,
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 29,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["text"] = "$mp%",
					["rightclick"] = 3,
					["height"] = 10,
					["mouseover"] = false,
					["attachpoint"] = "TOP",
					["leftclick"] = 1,
				}, -- [4]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["label"] = "Health %",
					["framestrata"] = "LOW",
					["attachpoint"] = "TOP",
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "TOP",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["textheight"] = 8,
					["borderalpha"] = 0,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["xoffset"] = 0,
					["attach"] = "_HealthBar",
					["text"] = "$hp%",
					["backgroundstyle"] = 1,
					["width"] = 29,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["mouseover"] = false,
					["height"] = 10,
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [5]
				{
					["outline"] = "NORMAL",
					["yoffset"] = -22,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "LEFT",
					["justifyV"] = "BOTTOM",
					["textheight"] = 10,
					["middleclick"] = 2,
					["framelevel"] = 0,
					["label"] = "Mana Text",
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["xoffset"] = 49,
					["mouseover"] = false,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "LEFT",
					["formatM"] = 1,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 40,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["formatH"] = 1,
					["text"] = "$mk$nl$km",
					["height"] = 22,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [6]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Online Dead",
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "CENTER",
					["hideifnotext"] = 1,
					["textheight"] = 10,
					["borderalpha"] = 0,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 0.0509803921568627,
						["g"] = 0,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["height"] = 13,
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 100,
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["font"] = "DUF_Font1.ttf",
					["text"] = "$ds$of",
					["framestrata"] = "LOW",
					["xoffset"] = 0,
					["alpha"] = 1,
					["attachpoint"] = "CENTER",
					["leftclick"] = 1,
				}, -- [7]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "MEDIUM",
					["attachpoint"] = "BOTTOMLEFT",
					["justifyV"] = "CENTER",
					["framelevel"] = 1,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["hidebg"] = 1,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["xoffset"] = 0,
					["hide"] = true,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["backgroundstyle"] = 1,
					["attach"] = "_Portrait",
					["text"] = "$rd$rh",
					["alpha"] = 1,
					["width"] = 106,
					["bgalpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["mouseover"] = false,
					["rightclick"] = 3,
					["height"] = 93,
					["label"] = "",
					["textheight"] = 14,
					["yoffset"] = 0,
				}, -- [8]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["label"] = "Target name",
					["framestrata"] = "LOW",
					["attachpoint"] = "LEFT",
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "LEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["textheight"] = 8,
					["borderalpha"] = 0,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "LEFT",
					["xoffset"] = 0,
					["attach"] = "_TargetHealthBar",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 105,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["mouseover"] = false,
					["height"] = 15,
					["text"] = "$tn",
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [9]
				{
					["bgcolor"] = {
						["r"] = 1,
						["g"] = 0.756862745098039,
						["b"] = 0.698039215686275,
					},
					["label"] = "Pedestal",
					["framestrata"] = "BACKGROUND",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = -1,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["textheight"] = 14,
					["borderalpha"] = 0,
					["height"] = 16,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0.858823529411765,
					},
					["justify"] = "RIGHT",
					["bgtexture"] = "pedestal",
					["attach"] = "_Portrait",
					["text"] = " ",
					["backgroundstyle"] = 1,
					["width"] = 65,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["mouseover"] = false,
					["xoffset"] = 1,
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["attachpoint"] = "BOTTOM",
					["leftclick"] = 1,
				}, -- [10]
			},
			["Debuffs"] = {
				["durationy"] = -5,
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["framestrata"] = "LOW",
				["bgalpha"] = 0,
				["middleclick"] = 2,
				["tworows"] = 1,
				["background"] = false,
				["size"] = 12,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["b"] = 0.384313725490196,
					["g"] = 0,
					["r"] = 0.725490196078431,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 7,
				["yoffset"] = 0,
				["showduration"] = 1,
				["framelevel"] = 0,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["hspacing"] = 4,
				["flash"] = 1,
				["attach"] = "_Buffs",
				["attachpoint"] = "BOTTOMLEFT",
				["backgroundstyle"] = 2,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["altformat"] = 1,
				["spacing"] = 0,
				["shown"] = 6,
				["alpha"] = 1,
				["rightclick"] = 3,
				["leftclick"] = 1,
			},
			["RaceIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["hide"] = 1,
				["bgpadding"] = 5,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["b"] = 0.0901961,
					["g"] = 0.0941176,
					["r"] = 0.0941176,
				},
				["alpha"] = 1,
				["yoffset"] = 0,
				["framestrata"] = "LOW",
				["size"] = 57,
				["xoffset"] = 0,
				["backgroundstyle"] = 2,
				["attachpoint"] = "TOPRIGHT",
				["leftclick"] = 1,
			},
			["scale"] = 1,
			["flash"] = 1,
			["bgtexture"] = "",
			["spacing"] = 10,
			["mouseovercolor"] = {
				["r"] = 0.458823529411765,
				["g"] = 0.184313725490196,
				["b"] = 0.498039215686275,
			},
			["ClassIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOM",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOM",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 52,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0.533333333333333,
					["g"] = 0.537254901960784,
					["b"] = 0.549019607843137,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 1,
				["hide"] = 1,
				["framestrata"] = "BACKGROUND",
				["alpha"] = 1,
				["xoffset"] = 0,
				["bgalpha"] = 1,
				["hidebg"] = 1,
				["leftclick"] = 1,
			},
			["attachpoint"] = {
				"BOTTOMLEFT", -- [1]
				"BOTTOMRIGHT", -- [2]
				"BOTTOMLEFT", -- [3]
				"BOTTOMRIGHT", -- [4]
			},
			["hidebg"] = 1,
			["StatusBar"] = {
				{
					["direction"] = 3,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["rightclick"] = 3,
					["bgalpha"] = 0,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["yoffset"] = 0,
					["framestrata"] = "BACKGROUND",
					["bgpadding"] = 0,
					["customtexture2"] = "bg",
					["customtexture"] = "bg",
					["xoffset"] = 0,
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 25,
					["color2"] = {
						["r"] = 0.72156862745098,
						["g"] = 0.0470588235294118,
						["b"] = 0.890196078431373,
					},
					["alpha"] = 1,
					["backgroundstyle"] = 1,
					["disabletooltip"] = 1,
					["height"] = 86,
					["color"] = {
						["r"] = 0.231372549019608,
						["g"] = 0.419607843137255,
						["b"] = 0.682352941176471,
					},
					["attachpoint"] = "BOTTOMLEFT",
					["leftclick"] = 1,
				}, -- [1]
				{
					["insanitycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["direction"] = 3,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["customtexture"] = "bgReverse",
					["attachpoint"] = "BOTTOMRIGHT",
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["maelstrompower"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["furycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["bgpadding"] = 0,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["b"] = 0.615686274509804,
						["g"] = 0.415686274509804,
						["r"] = 0.564705882352941,
					},
					["xoffset"] = 0,
					["yoffset"] = 0,
					["framelevel"] = 0,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["height"] = 86,
					["holycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["alpha"] = 1,
					["bordersize"] = 1,
					["customtexture2"] = "bg",
					["focuscolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["energycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["attach"] = "_Portrait",
					["hideifnomana"] = 1,
					["backgroundstyle"] = 1,
					["width"] = 25,
					["rightclick"] = 3,
					["bgalpha"] = 0,
					["framestrata"] = "BACKGROUND",
					["ragecolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["manacolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["recolor"] = false,
					["lunarpowercolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["leftclick"] = 1,
				}, -- [2]
				nil, -- [3]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 1,
					["color"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bgalpha"] = 1,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["yoffset"] = 0,
					["rightclick"] = 3,
					["bordersize"] = 1,
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["backgroundstyle"] = 1,
					["width"] = 105,
					["color2"] = {
						["r"] = 0.392156862745098,
						["g"] = 0.713725490196079,
						["b"] = 0.27843137254902,
					},
					["xoffset"] = 0,
					["alpha"] = 1,
					["attachpoint"] = "BOTTOMLEFT",
					["height"] = 16,
					["customtexture"] = "bg",
					["framestrata"] = "BACKGROUND",
					["leftclick"] = 1,
				}, -- [4]
				{
					["insanitycolor"] = {
						["b"] = 0.8,
						["g"] = 0,
						["r"] = 0.4,
					},
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["rightclick"] = 3,
					["attachpoint"] = "TOPLEFT",
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["b"] = 1,
						["g"] = 0.82,
						["r"] = 0,
					},
					["maelstrompower"] = {
						["b"] = 1,
						["g"] = 0.5,
						["r"] = 0,
					},
					["recolor"] = false,
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["color2"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["xoffset"] = 5.95745,
					["yoffset"] = -15.2599,
					["hideifnomana"] = true,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["height"] = 9,
					["context"] = 5,
					["hide"] = 1,
					["holycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["manacolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 1,
					},
					["focuscolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["width"] = 122,
					["attach"] = "Unit Frame",
					["backgroundstyle"] = 1,
					["bordersize"] = 1,
					["energycolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["framelevel"] = 0,
					["alpha"] = 1,
					["bgalpha"] = 1,
					["ragecolor"] = {
						["r"] = 1,
						["g"] = 0,
						["b"] = 0,
					},
					["framestrata"] = "BACKGROUND",
					["bgpadding"] = 1,
					["lunarpowercolor"] = {
						["b"] = 0.9,
						["g"] = 0.52,
						["r"] = 0.3,
					},
					["leftclick"] = 1,
				}, -- [5]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["customtexture"] = "bg",
					["attachpoint"] = "TOP",
					["middleclick"] = 2,
					["bgpadding"] = 1,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["b"] = 0.890196078431373,
						["g"] = 0.0470588235294118,
						["r"] = 0.72156862745098,
					},
					["xoffset"] = 0,
					["yoffset"] = 0,
					["fade"] = 1,
					["height"] = 18,
					["framestrata"] = "MEDIUM",
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["alpha"] = 1,
					["focuscolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["hide"] = true,
					["recolor"] = false,
					["customtexture2"] = "bg",
					["manacolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["width"] = 152,
					["attach"] = "_HealthBar",
					["bordersize"] = 1,
					["backgroundstyle"] = 1,
					["energycolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["framelevel"] = 0,
					["ragecolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["bgalpha"] = 1,
					["rightclick"] = 3,
					["hidebg"] = 1,
					["hideifnomana"] = true,
					["hideifnocast"] = false,
					["leftclick"] = 1,
				}, -- [6]
			},
			["bgpadding"] = 0,
			["height"] = 108,
			["PVPIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["yoffset"] = 20,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPRIGHT",
				["xoffset"] = 3,
				["backgroundstyle"] = 2,
				["hidebg"] = 1,
				["leftclick"] = 1,
			},
			["Portrait"] = {
				["bgcolor"] = {
					["b"] = 0.0196078,
					["g"] = 0.0196078,
					["r"] = 0.0196078,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 0.43,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOMLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["hidebg"] = 1,
				["bgpadding"] = 0,
				["bordcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["alpha"] = 1,
				["use3D"] = 1,
				["attachpoint"] = "BOTTOMLEFT",
				["size"] = 106,
				["disablemouse"] = 1,
				["xoffset"] = 0,
				["rightclick"] = 3,
				["backgroundstyle"] = 1,
				["yoffset"] = 0,
			},
			["VoiceIcon"] = {
				["bgcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["bgtexture"] = "VoiceChat-Speaker.tga",
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["middleclick"] = 2,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["xoffset"] = 4,
				["backgroundstyle"] = 2,
				["hide"] = 1,
				["yoffset"] = -29,
			},
			["alpha"] = 1,
			["width"] = 107,
			["xos"] = {
				397, -- [1]
				-224, -- [2]
				120, -- [3]
				-500, -- [4]
			},
			["LootIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 1.11984,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPLEFT",
				["xoffset"] = -10.36,
				["hide"] = 1,
				["alpha"] = 1,
				["leftclick"] = 1,
			},
			["backgroundstyle"] = 1,
			["recolor"] = false,
			["attachto"] = {
				"BOTTOMLEFT", -- [1]
				"BOTTOM", -- [2]
				"BOTTOM", -- [3]
				"BOTTOMRIGHT", -- [4]
			},
			["Buffs"] = {
				["durationy"] = -5,
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["middleclick"] = 2,
				["tworows"] = 1,
				["background"] = false,
				["size"] = 13,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 0,
				["yoffset"] = 0,
				["showduration"] = 1,
				["framelevel"] = 0,
				["bgtexture"] = "Interface\\AddOns\\MazzleUI\\Art\\pedestal",
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["hspacing"] = 4,
				["attach"] = "Unit Frame",
				["attachpoint"] = "BOTTOMLEFT",
				["backgroundstyle"] = 1,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["altformat"] = 1,
				["alpha"] = 1,
				["spacing"] = 0,
				["framestrata"] = "LOW",
				["shown"] = 16,
				["leftclick"] = 1,
			},
			["LeaderIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPRIGHT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 20,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPLEFT",
				["xoffset"] = 0,
				["alpha"] = 1,
				["hidebg"] = 1,
				["leftclick"] = 1,
			},
			["leftclick"] = 1,
		},
		["INITIALIZED5.0b"] = true,
		["limitdurationupdates"] = 1,
		["reactioncolor1"] = {
			["b"] = 0,
			["g"] = 0,
			["r"] = 1,
		},
		["FramesLocked"] = true,
		["BossH"] = {
			["xos"] = {
				3, -- [1]
				395, -- [2]
				-224, -- [3]
				122, -- [4]
				-500, -- [5]
			},
			["connect"] = false,
			["attachto"] = {
				"LEFT", -- [1]
				"LEFT", -- [2]
				"CENTER", -- [3]
				"CENTER", -- [4]
				"RIGHT", -- [5]
			},
			["spacing"] = 10,
			["attachpoint"] = {
				"BOTTOMLEFT", -- [1]
				"TOPLEFT", -- [2]
				"TOPRIGHT", -- [3]
				"TOPLEFT", -- [4]
				"TOPRIGHT", -- [5]
			},
			["yos"] = {
				-112, -- [1]
				-64, -- [2]
				-64, -- [3]
				-64, -- [4]
				-64, -- [5]
			},
			["connectmethod"] = 3,
		},
		["INITIALIZED2.4"] = true,
		["TotemsHUD"] = {
			["attachto"] = "CENTER",
			["direction"] = 3,
			["scale"] = 0.77,
			["spacing"] = 7,
			["attach"] = "UIParent",
			["attachpoint"] = "RIGHT",
			["xoffset"] = -90,
			["yoffset"] = -40,
		},
		["lvlcolor4"] = {
			["b"] = 0,
			["g"] = 0.6,
			["r"] = 1,
		},
		["INITIALIZED5.4"] = true,
		["INITIALIZED5.9"] = true,
		["classcolorRogue"] = {
			["b"] = 0.41,
			["g"] = 0.96,
			["r"] = 1,
		},
		["classcolorPaladin"] = {
			["b"] = 0.73,
			["g"] = 0.55,
			["r"] = 0.96,
		},
		["targettarget"] = {
			["bgcolor"] = {
				["b"] = 1,
				["g"] = 1,
				["r"] = 1,
			},
			["borderalpha"] = 0,
			["rightclick"] = 3,
			["PVPIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOM",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["hide"] = 1,
				["hidebg"] = 1,
				["backgroundstyle"] = 2,
				["xoffset"] = 0,
				["attachpoint"] = "BOTTOM",
				["rightclick"] = 3,
				["yoffset"] = -2,
			},
			["yos"] = {
				37, -- [1]
				-830.91, -- [2]
				-829.6, -- [3]
				-829.6, -- [4]
			},
			["connectmethod"] = 3,
			["middleclick"] = 2,
			["PhaseIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0.964706,
					["g"] = 0.0823529,
					["b"] = 0.309804,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 0,
				["hide"] = true,
				["framestrata"] = "LOW",
				["attachpoint"] = "RIGHT",
				["xoffset"] = 13,
				["alpha"] = 1,
				["hidebg"] = 1,
				["leftclick"] = 1,
			},
			["RoleIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["attachpoint"] = "CENTER",
				["middleclick"] = 2,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["hide"] = 1,
				["bgpadding"] = 3,
				["attach"] = "_Portrait",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 0.996078,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = -4,
				["hidebg"] = 1,
				["bgalpha"] = 1,
				["xoffset"] = 4,
				["alpha"] = 1,
				["size"] = 25,
				["leftclick"] = 1,
			},
			["StatusIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["b"] = 0.309804,
					["g"] = 0.0823529,
					["r"] = 0.964706,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["attachpoint"] = "RIGHT",
				["xoffset"] = -3,
				["framestrata"] = "LOW",
				["hide"] = 1,
				["yoffset"] = 0,
			},
			["bordercolor"] = {
				["b"] = 0.549019607843137,
				["g"] = 0.537254901960784,
				["r"] = 0.533333333333333,
			},
			["IsUnitWatched"] = true,
			["TextBox"] = {
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 12,
					["middleclick"] = 2,
					["yoffset"] = 1,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["framelevel"] = 0,
					["label"] = "Name",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["height"] = 16,
					["attach"] = "_HealthBar",
					["text"] = "$nm",
					["backgroundstyle"] = 1,
					["width"] = 80,
					["mouseover"] = false,
					["font"] = "DUF_Font3.ttf",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["rightclick"] = 3,
					["xoffset"] = 0,
					["alpha"] = 1,
					["attachpoint"] = "BOTTOMLEFT",
					["leftclick"] = 1,
				}, -- [1]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "TOPLEFT",
					["justifyV"] = "CENTER",
					["textheight"] = 10,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["bgalpha"] = 1,
					["rightclick"] = 3,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 0.345098039215686,
						["g"] = 1,
						["r"] = 0.937254901960784,
					},
					["justify"] = "LEFT",
					["xoffset"] = -20,
					["attach"] = "_TextBox_1",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["width"] = 103,
					["text"] = "ToT",
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["mouseover"] = false,
					["height"] = 39,
					["label"] = "ToT Text",
					["framelevel"] = 0,
					["yoffset"] = 1,
				}, -- [2]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "BOTTOM",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachpoint"] = "LEFT",
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["rightclick"] = 3,
					["xoffset"] = 36,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["alpha"] = 1,
					["attach"] = "Unit Frame",
					["text"] = "",
					["mouseover"] = false,
					["width"] = 40,
					["hide"] = 1,
					["font"] = "DUF_Font1.ttf",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["height"] = 22,
					["borderalpha"] = 0,
					["textheight"] = 10,
					["yoffset"] = 12,
				}, -- [3]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 8,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["hide"] = 1,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["attachpoint"] = "TOPLEFT",
					["height"] = 10,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["text"] = "",
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 29,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["backgroundstyle"] = 1,
					["xoffset"] = -3,
					["label"] = "",
					["framelevel"] = 0,
					["yoffset"] = 1,
				}, -- [4]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "RIGHT",
					["justifyV"] = "CENTER",
					["textheight"] = 9,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["bgalpha"] = 1,
					["text"] = "$hp%",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "RIGHT",
					["height"] = 10,
					["attach"] = "_HealthBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 29,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["backgroundstyle"] = 1,
					["xoffset"] = -2,
					["label"] = "Health %",
					["framelevel"] = 0,
					["yoffset"] = 0,
				}, -- [5]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "BOTTOM",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachpoint"] = "LEFT",
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["rightclick"] = 3,
					["xoffset"] = 84,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["text"] = "",
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 40,
					["hide"] = 1,
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["backgroundstyle"] = 1,
					["height"] = 22,
					["borderalpha"] = 0,
					["textheight"] = 10,
					["yoffset"] = 12,
				}, -- [6]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 10,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "CENTER",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["hidebg"] = 1,
					["attachpoint"] = "CENTER",
					["hide"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 0,
						["b"] = 0.0509803921568627,
					},
					["justify"] = "CENTER",
					["xoffset"] = 23,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 99,
					["text"] = "$ds",
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["framestrata"] = "LOW",
					["height"] = 14,
					["label"] = "Death Status",
					["framelevel"] = 0,
					["yoffset"] = -7,
				}, -- [7]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "BOTTOM",
					["justifyV"] = "CENTER",
					["textheight"] = 14,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["rightclick"] = 3,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["text"] = "$rd$rh",
					["height"] = 15,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["backgroundstyle"] = 1,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 99,
					["bgalpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["framelevel"] = 2,
					["xoffset"] = 30,
					["disablemouse"] = 1,
					["label"] = "Damage Overlay",
					["yoffset"] = -12,
				}, -- [8]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 8,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["framestrata"] = "LOW",
					["label"] = "Target name",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["height"] = 15,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 100,
					["framelevel"] = 0,
					["font"] = "DUF_Font1.ttf",
					["text"] = "$tn",
					["attachpoint"] = "BOTTOMLEFT",
					["xoffset"] = 2.67,
					["alpha"] = 1,
					["mouseover"] = false,
					["yoffset"] = 0.17,
				}, -- [9]
				{
					["bgcolor"] = {
						["b"] = 1,
						["g"] = 0.549019607843137,
						["r"] = 0.545098039215686,
					},
					["borderalpha"] = 0,
					["framestrata"] = "BACKGROUND",
					["attachpoint"] = "BOTTOM",
					["justifyV"] = "CENTER",
					["textheight"] = 14,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["bgalpha"] = 1,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 1,
					["hide"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 0.858823529411765,
						["g"] = 0,
						["b"] = 0,
					},
					["justify"] = "RIGHT",
					["alpha"] = 1,
					["attach"] = "Unit Frame",
					["text"] = " ",
					["mouseover"] = false,
					["width"] = 42,
					["rightclick"] = 3,
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["bgtexture"] = "",
					["height"] = 16,
					["label"] = "",
					["framelevel"] = 0,
					["yoffset"] = 0,
				}, -- [10]
			},
			["Debuffs"] = {
				["durationy"] = 0,
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOMRIGHT",
				["middleclick"] = 2,
				["background"] = false,
				["size"] = 16,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["r"] = 0.725490196078431,
					["g"] = 0,
					["b"] = 0.384313725490196,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 0,
				["hspacing"] = 0,
				["showduration"] = 1,
				["framelevel"] = 0,
				["spacing"] = 0,
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["attachto"] = "TOPRIGHT",
				["yoffset"] = 21,
				["attach"] = "_TargetHealthBar",
				["flash"] = 1,
				["alpha"] = 1,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["framestrata"] = "LOW",
				["altformat"] = 1,
				["shown"] = 3,
				["bgalpha"] = 0,
				["backgroundstyle"] = 2,
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["leftclick"] = 1,
			},
			["RaceIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["targetIcon"] = 1,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hidebg"] = 1,
				["bgpadding"] = 5,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["r"] = 0.0941176,
					["g"] = 0.0941176,
					["b"] = 0.0901961,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["hide"] = 1,
				["attachpoint"] = "TOPRIGHT",
				["backgroundstyle"] = 2,
				["xoffset"] = 0,
				["size"] = 16,
				["framestrata"] = "LOW",
				["yoffset"] = -7,
			},
			["scale"] = 1,
			["bgtexture"] = "",
			["leftclick"] = 1,
			["height"] = 45,
			["attachto"] = {
				"CENTER", -- [1]
			},
			["mouseovercolor"] = {
				["b"] = 0.498039215686275,
				["g"] = 0.184313725490196,
				["r"] = 0.458823529411765,
			},
			["bgpadding"] = 0,
			["hidebg"] = 1,
			["hide"] = 1,
			["StatusBar"] = {
				{
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 1,
					["rightclick"] = 3,
					["bgalpha"] = 0,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
					["attachpoint"] = "BOTTOMLEFT",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["customtexture2"] = "bg",
					["framestrata"] = "BACKGROUND",
					["height"] = 15,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 100,
					["color2"] = {
						["b"] = 0.890196078431373,
						["g"] = 0.0470588235294118,
						["r"] = 0.72156862745098,
					},
					["disabletooltip"] = 1,
					["backgroundstyle"] = 1,
					["alpha"] = 1,
					["xoffset"] = 0,
					["customtexture"] = "bg",
					["color"] = {
						["b"] = 0.682352941176471,
						["g"] = 0.419607843137255,
						["r"] = 0.231372549019608,
					},
					["yoffset"] = 15,
				}, -- [1]
				{
					["direction"] = 3,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["customtexture"] = "bg",
					["bgalpha"] = 0,
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["bgpadding"] = 0,
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["color2"] = {
						["b"] = 0.890196078431373,
						["g"] = 0.0470588235294118,
						["r"] = 0.72156862745098,
					},
					["height"] = 82,
					["yoffset"] = 0,
					["framelevel"] = 0,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = -2,
					["hide"] = 1,
					["bordersize"] = 1,
					["customtexture2"] = "bg",
					["focuscolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["energycolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["attach"] = "Unit Frame",
					["alpha"] = 1,
					["backgroundstyle"] = 1,
					["width"] = 24,
					["recolor"] = false,
					["manacolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["hideifnomana"] = 1,
					["framestrata"] = "BACKGROUND",
					["attachpoint"] = "BOTTOMLEFT",
					["rightclick"] = 3,
					["ragecolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["leftclick"] = 1,
				}, -- [2]
				nil, -- [3]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 1,
					["rightclick"] = 3,
					["bgalpha"] = 0,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
					["bgpadding"] = 1,
					["customtexture2"] = "bg0",
					["framestrata"] = "BACKGROUND",
					["customtexture"] = "bg0",
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["backgroundstyle"] = 1,
					["width"] = 100,
					["color2"] = {
						["b"] = 0.890196078431373,
						["g"] = 0.0470588235294118,
						["r"] = 0.72156862745098,
					},
					["height"] = 13,
					["attachpoint"] = "BOTTOMLEFT",
					["alpha"] = 1,
					["xoffset"] = 0,
					["bordersize"] = 1,
					["color"] = {
						["b"] = 0.101960784313726,
						["g"] = 0.494117647058824,
						["r"] = 0.0784313725490196,
					},
					["yoffset"] = 1,
				}, -- [4]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["ragecolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 1,
					},
					["bgalpha"] = 1,
					["leftclick"] = 1,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["bgpadding"] = 1,
					["backgroundstyle"] = 1,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 5.95745,
					["manacolor"] = {
						["b"] = 1,
						["g"] = 0,
						["r"] = 0,
					},
					["hide"] = 1,
					["recolor"] = false,
					["alpha"] = 1,
					["focuscolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["width"] = 122,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bordersize"] = 1,
					["energycolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["color2"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["hideifnomana"] = true,
					["framestrata"] = "BACKGROUND",
					["rightclick"] = 3,
					["height"] = 9,
					["runicpowercolor"] = {
						["r"] = 0,
						["g"] = 0.82,
						["b"] = 1,
					},
					["attachpoint"] = "TOPLEFT",
					["yoffset"] = -15.2599,
				}, -- [5]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["ragecolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["attachpoint"] = "TOP",
					["middleclick"] = 2,
					["recolor"] = false,
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["color2"] = {
						["r"] = 0.72156862745098,
						["g"] = 0.0470588235294118,
						["b"] = 0.890196078431373,
					},
					["xoffset"] = 0,
					["yoffset"] = 0,
					["fade"] = 1,
					["height"] = 18,
					["bordersize"] = 1,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["focuscolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["hide"] = true,
					["hidebg"] = 1,
					["customtexture2"] = "bg",
					["manacolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["energycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["attach"] = "_HealthBar",
					["framelevel"] = 0,
					["backgroundstyle"] = 1,
					["width"] = 152,
					["bgpadding"] = 1,
					["hideifnomana"] = true,
					["bgalpha"] = 1,
					["hideifnocast"] = false,
					["framestrata"] = "MEDIUM",
					["rightclick"] = 3,
					["customtexture"] = "bg",
					["leftclick"] = 1,
				}, -- [6]
			},
			["xos"] = {
				-191, -- [1]
				532.12, -- [2]
				926.41, -- [3]
				1113.86, -- [4]
			},
			["bgalpha"] = 1,
			["LootIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["alpha"] = 1,
				["hide"] = 1,
				["xoffset"] = -10.36,
				["attachpoint"] = "TOPLEFT",
				["rightclick"] = 3,
				["yoffset"] = 1.11984,
			},
			["Portrait"] = {
				["bgcolor"] = {
					["r"] = 0.0196078,
					["g"] = 0.0196078,
					["b"] = 0.0196078,
				},
				["borderalpha"] = 0,
				["framestrata"] = "BACKGROUND",
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hidebg"] = 1,
				["bgpadding"] = 0,
				["bordcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["alpha"] = 1,
				["size"] = 40,
				["bgalpha"] = 0.43,
				["rightclick"] = 3,
				["backgroundstyle"] = 1,
				["xoffset"] = -29.9975,
				["disablemouse"] = 1,
				["use3D"] = 1,
				["yoffset"] = -5.359818,
			},
			["VoiceIcon"] = {
				["bgcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["bgtexture"] = "VoiceChat-Speaker.tga",
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["yoffset"] = 0,
				["hide"] = 1,
				["backgroundstyle"] = 2,
				["bgalpha"] = 1,
				["xoffset"] = 0,
				["rightclick"] = 3,
				["middleclick"] = 2,
				["leftclick"] = 1,
			},
			["alpha"] = 1,
			["width"] = 40,
			["backgroundstyle"] = 1,
			["hiddden"] = false,
			["attachpoint"] = {
				"BOTTOMRIGHT", -- [1]
			},
			["spacing"] = 10,
			["recolor"] = false,
			["Buffs"] = {
				["durationy"] = 0,
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["shown"] = 4,
				["attachpoint"] = "BOTTOMLEFT",
				["middleclick"] = 2,
				["background"] = false,
				["size"] = 12,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 0,
				["hspacing"] = 0,
				["showduration"] = 1,
				["framelevel"] = 0,
				["bgtexture"] = "Interface\\AddOns\\MazzleUI\\Art\\pedestal",
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["yoffset"] = 10,
				["attach"] = "_HealthBar",
				["alpha"] = 1,
				["backgroundstyle"] = 1,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["altformat"] = 1,
				["framestrata"] = "LOW",
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["spacing"] = 0,
				["leftclick"] = 1,
			},
			["LeaderIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "MEDIUM",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOP",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_TextBox_10",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hide"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["xoffset"] = 1,
				["attachpoint"] = "BOTTOM",
				["rightclick"] = 3,
				["yoffset"] = 61,
			},
			["ClassIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOM",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOM",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 52,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0.549019607843137,
					["g"] = 0.537254901960784,
					["r"] = 0.533333333333333,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["bgalpha"] = 1,
				["alpha"] = 1,
				["xoffset"] = 0,
				["framestrata"] = "BACKGROUND",
				["hide"] = 1,
				["yoffset"] = 1,
			},
		},
		["classcolorDeathKnight"] = {
			["r"] = 0.77,
			["g"] = 0.12,
			["b"] = 0.23,
		},
		["updatespeed"] = 0.04,
		["manacolor1"] = {
			["r"] = 0.184313725490196,
			["g"] = 0.0549019607843137,
			["b"] = 0.694117647058824,
		},
		["INITIALIZED2.1"] = true,
		["INITIALIZED7.3"] = true,
		["classcolorWarrior"] = {
			["b"] = 0.43,
			["g"] = 0.61,
			["r"] = 0.78,
		},
		["INITIALIZED2.3t"] = true,
		["INITIALIZED7.0a"] = true,
		["INITIALIZED5.0c"] = true,
		["reactioncolor5"] = {
			["b"] = 0,
			["g"] = 1,
			["r"] = 0,
		},
		["INITIALIZED5.11"] = true,
		["INITIALIZED4.0"] = true,
		["classcolorHunter"] = {
			["b"] = 0.45,
			["g"] = 0.83,
			["r"] = 0.67,
		},
		["petbattlehide"] = true,
		["INITIALIZED3.0.3a"] = true,
		["autolock"] = 1,
		["INITIALIZED6.1"] = true,
		["classcolorDruid"] = {
			["b"] = 0.04,
			["g"] = 0.49,
			["r"] = 1,
		},
		["boss"] = {
			["bgcolor"] = {
				["r"] = 0.0392156862745098,
				["g"] = 0.0392156862745098,
				["b"] = 0.0392156862745098,
			},
			["borderalpha"] = 0,
			["rightclick"] = 3,
			["attachpoint"] = {
				"BOTTOMLEFT", -- [1]
				"TOPLEFT", -- [2]
				"TOPRIGHT", -- [3]
				"TOPLEFT", -- [4]
				"TOPRIGHT", -- [5]
			},
			["yos"] = {
				-112, -- [1]
				-64, -- [2]
				-64, -- [3]
				-64, -- [4]
				-64, -- [5]
			},
			["connectmethod"] = 3,
			["middleclick"] = 2,
			["PhaseIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0.964706,
					["g"] = 0.0823529,
					["b"] = 0.309804,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 0,
				["hide"] = true,
				["framestrata"] = "LOW",
				["attachpoint"] = "RIGHT",
				["xoffset"] = 13,
				["alpha"] = 1,
				["hidebg"] = 1,
				["leftclick"] = 1,
			},
			["recolor"] = false,
			["StatusIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["b"] = 0.309804,
					["g"] = 0.0823529,
					["r"] = 0.964706,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["attachpoint"] = "RIGHT",
				["xoffset"] = -3,
				["framestrata"] = "LOW",
				["hide"] = 1,
				["yoffset"] = 0,
			},
			["bordercolor"] = {
				["b"] = 0.549019607843137,
				["g"] = 0.537254901960784,
				["r"] = 0.533333333333333,
			},
			["EliteTexture"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["bgalpha"] = 1,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 128,
				["bgpadding"] = 5,
				["elitetexture"] = "",
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["hide"] = 1,
				["hidebg"] = true,
				["xoffset"] = 28.67,
				["attachpoint"] = "RIGHT",
				["backgroundstyle"] = 2,
				["yoffset"] = 86.86,
			},
			["TextBox"] = {
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Name",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "TOPRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["textheight"] = 14.25,
					["borderalpha"] = 0,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["height"] = 16,
					["attach"] = "_ManaBar",
					["text"] = "$nm",
					["alpha"] = 1,
					["width"] = 103,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font3.ttf",
					["rightclick"] = 3,
					["attachpoint"] = "TOPLEFT",
					["xoffset"] = 0,
					["mouseover"] = false,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
				}, -- [1]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["attachpoint"] = "TOPLEFT",
					["justifyV"] = "CENTER",
					["textheight"] = 10,
					["middleclick"] = 2,
					["yoffset"] = 1,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["framelevel"] = 0,
					["label"] = "Level Class",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 0.345098039215686,
						["g"] = 1,
						["r"] = 0.937254901960784,
					},
					["justify"] = "LEFT",
					["xoffset"] = 3,
					["attach"] = "_TextBox_1",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 103,
					["mouseover"] = false,
					["font"] = "DUF_Font1.ttf",
					["framestrata"] = "LOW",
					["alpha"] = 1,
					["height"] = 39,
					["text"] = "$lv $cl$nlH:             M:",
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [2]
				{
					["outline"] = "NORMAL",
					["leftclick"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["attachpoint"] = "LEFT",
					["justifyV"] = "BOTTOM",
					["textheight"] = 10,
					["middleclick"] = 2,
					["formatH"] = 1,
					["bgalpha"] = 1,
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 22,
					["text"] = "$hk$nl$kh",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["formatM"] = 1,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 40,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["framestrata"] = "LOW",
					["mouseover"] = false,
					["xoffset"] = 0,
					["framelevel"] = 0,
					["label"] = "Health Text",
					["yoffset"] = -22,
				}, -- [3]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 8,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "TOP",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["attachpoint"] = "TOP",
					["mouseover"] = false,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["height"] = 10,
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["width"] = 29,
					["rightclick"] = 3,
					["font"] = "DUF_Font1.ttf",
					["text"] = "$mp%",
					["backgroundstyle"] = 1,
					["xoffset"] = 0,
					["label"] = "Mana %",
					["framelevel"] = 0,
					["yoffset"] = 0,
				}, -- [4]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "TOP",
					["justifyV"] = "CENTER",
					["textheight"] = 8,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "TOP",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["bgalpha"] = 1,
					["text"] = "$hp%",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["height"] = 10,
					["attach"] = "_HealthBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 29,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["backgroundstyle"] = 1,
					["xoffset"] = 0,
					["label"] = "Health %",
					["framelevel"] = 0,
					["yoffset"] = 0,
				}, -- [5]
				{
					["outline"] = "NORMAL",
					["leftclick"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["formatH"] = 1,
					["textheight"] = 10,
					["middleclick"] = 2,
					["attachpoint"] = "LEFT",
					["framestrata"] = "LOW",
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 22,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["formatM"] = 1,
					["attach"] = "Unit Frame",
					["text"] = "$mk$nl$km",
					["backgroundstyle"] = 1,
					["width"] = 40,
					["justifyV"] = "BOTTOM",
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["mouseover"] = false,
					["xoffset"] = 50,
					["framelevel"] = 0,
					["label"] = "Mana Text",
					["yoffset"] = -22,
				}, -- [6]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 10,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "CENTER",
					["hideifnotext"] = 1,
					["attachpoint"] = "CENTER",
					["backgroundstyle"] = 1,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 0,
						["b"] = 0.0509803921568627,
					},
					["justify"] = "CENTER",
					["xoffset"] = 0,
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["width"] = 100,
					["framestrata"] = "LOW",
					["font"] = "DUF_Font1.ttf",
					["text"] = "$ds$of",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 13,
					["label"] = "Online Dead",
					["framelevel"] = 0,
					["yoffset"] = 0,
				}, -- [7]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["attachpoint"] = "BOTTOMLEFT",
					["justifyV"] = "CENTER",
					["framelevel"] = 1,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["textheight"] = 14,
					["label"] = "Mouse Clicks",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["height"] = 93,
					["attach"] = "_Portrait",
					["text"] = "$rd$rh",
					["backgroundstyle"] = 1,
					["width"] = 106,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["framestrata"] = "MEDIUM",
					["bgalpha"] = 1,
					["xoffset"] = 0,
					["mouseover"] = false,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
				}, -- [8]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "LEFT",
					["justifyV"] = "CENTER",
					["textheight"] = 8,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "LEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["bgalpha"] = 1,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["height"] = 15,
					["attach"] = "_TargetHealthBar",
					["text"] = "$tn",
					["mouseover"] = false,
					["width"] = 105,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["backgroundstyle"] = 1,
					["xoffset"] = 0,
					["label"] = "Target name",
					["framelevel"] = 0,
					["yoffset"] = 0,
				}, -- [9]
				{
					["bgcolor"] = {
						["r"] = 1,
						["g"] = 0.756862745098039,
						["b"] = 0.698039215686275,
					},
					["borderalpha"] = 0,
					["framestrata"] = "BACKGROUND",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 14,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["attachpoint"] = "BOTTOM",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 0.858823529411765,
						["g"] = 0,
						["b"] = 0,
					},
					["justify"] = "RIGHT",
					["mouseover"] = false,
					["attach"] = "_Portrait",
					["text"] = " ",
					["alpha"] = 1,
					["width"] = 65,
					["rightclick"] = 3,
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["bgtexture"] = "pedestal",
					["height"] = 16,
					["label"] = "Pedestal",
					["framelevel"] = 0,
					["yoffset"] = -1,
				}, -- [10]
			},
			["Debuffs"] = {
				["durationy"] = -5,
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["shown"] = 6,
				["attachpoint"] = "BOTTOMLEFT",
				["middleclick"] = 2,
				["tworows"] = 1,
				["background"] = false,
				["size"] = 12,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["r"] = 0.725490196078431,
					["g"] = 0,
					["b"] = 0.384313725490196,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 7,
				["yoffset"] = 0,
				["showduration"] = 1,
				["framelevel"] = 0,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["hspacing"] = 4,
				["alpha"] = 1,
				["attach"] = "_Buffs",
				["flash"] = 1,
				["backgroundstyle"] = 2,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["rightclick"] = 3,
				["altformat"] = 1,
				["spacing"] = 0,
				["durationcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["bgalpha"] = 0,
				["framestrata"] = "LOW",
				["leftclick"] = 1,
			},
			["Portrait"] = {
				["bgcolor"] = {
					["r"] = 0.0196078,
					["g"] = 0.0196078,
					["b"] = 0.0196078,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "BOTTOMLEFT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOMLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hidebg"] = 1,
				["bgpadding"] = 0,
				["bordcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["alpha"] = 1,
				["use3D"] = 1,
				["rightclick"] = 3,
				["disablemouse"] = 1,
				["size"] = 106,
				["xoffset"] = 0,
				["bgalpha"] = 0.43,
				["backgroundstyle"] = 1,
				["yoffset"] = 0,
			},
			["scale"] = 1,
			["connect"] = false,
			["bgtexture"] = "",
			["attachto"] = {
				"LEFT", -- [1]
				"LEFT", -- [2]
				"CENTER", -- [3]
				"CENTER", -- [4]
				"RIGHT", -- [5]
			},
			["mouseovercolor"] = {
				["b"] = 0.498039215686275,
				["g"] = 0.184313725490196,
				["r"] = 0.458823529411765,
			},
			["leftclick"] = 1,
			["RoleIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["middleclick"] = 2,
				["attachto"] = "BOTTOMLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 16,
				["bgpadding"] = 3,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 0.996078,
				},
				["alpha"] = 1,
				["yoffset"] = 0,
				["hidebg"] = 1,
				["attachpoint"] = "BOTTOM",
				["xoffset"] = 0,
				["backgroundstyle"] = 2,
				["hide"] = 1,
				["leftclick"] = 1,
			},
			["hidebg"] = 1,
			["StatusBar"] = {
				{
					["direction"] = 3,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["customtexture"] = "bg",
					["bgalpha"] = 0,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
					["attachpoint"] = "BOTTOMLEFT",
					["bgpadding"] = 0,
					["customtexture2"] = "bg",
					["rightclick"] = 3,
					["height"] = 86,
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 25,
					["color2"] = {
						["b"] = 0.890196078431373,
						["g"] = 0.0470588235294118,
						["r"] = 0.72156862745098,
					},
					["disabletooltip"] = 1,
					["backgroundstyle"] = 1,
					["alpha"] = 1,
					["xoffset"] = 0,
					["color"] = {
						["b"] = 0.682352941176471,
						["g"] = 0.419607843137255,
						["r"] = 0.231372549019608,
					},
					["framestrata"] = "BACKGROUND",
					["yoffset"] = 0,
				}, -- [1]
				{
					["yoffset"] = 0,
					["direction"] = 3,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["ragecolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["bgalpha"] = 0,
					["runicpowercolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["framelevel"] = 0,
					["middleclick"] = 2,
					["alpha"] = 1,
					["xoffset"] = -2,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["attachpoint"] = "BOTTOMRIGHT",
					["bgpadding"] = 1,
					["bordersize"] = 1,
					["recolor"] = false,
					["customtexture2"] = "bg",
					["manacolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["width"] = 25,
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["backgroundstyle"] = 1,
					["energycolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["color2"] = {
						["r"] = 0.564705882352941,
						["g"] = 0.415686274509804,
						["b"] = 0.615686274509804,
					},
					["focuscolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["framestrata"] = "BACKGROUND",
					["rightclick"] = 3,
					["height"] = 86,
					["hideifnomana"] = 1,
					["customtexture"] = "bg",
					["leftclick"] = 1,
				}, -- [2]
				nil, -- [3]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 1,
					["color"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["bgalpha"] = 1,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["leftclick"] = 1,
					["framestrata"] = "BACKGROUND",
					["rightclick"] = 3,
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["backgroundstyle"] = 1,
					["width"] = 105,
					["color2"] = {
						["b"] = 0.27843137254902,
						["g"] = 0.713725490196079,
						["r"] = 0.392156862745098,
					},
					["height"] = 16,
					["attachpoint"] = "BOTTOMLEFT",
					["alpha"] = 1,
					["xoffset"] = 0,
					["bordersize"] = 1,
					["customtexture"] = "bg",
					["yoffset"] = 0,
				}, -- [4]
				{
					["leftclick"] = 1,
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["bgpadding"] = 1,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["alpha"] = 1,
					["xoffset"] = 5.95745,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["focuscolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["context"] = 5,
					["hide"] = 1,
					["recolor"] = false,
					["bordersize"] = 1,
					["manacolor"] = {
						["b"] = 1,
						["g"] = 0,
						["r"] = 0,
					},
					["width"] = 122,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["backgroundstyle"] = 1,
					["energycolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["color2"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["hideifnomana"] = true,
					["framestrata"] = "BACKGROUND",
					["ragecolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 1,
					},
					["height"] = 9,
					["runicpowercolor"] = {
						["r"] = 0,
						["g"] = 0.82,
						["b"] = 1,
					},
					["attachpoint"] = "TOPLEFT",
					["yoffset"] = -15.2599,
				}, -- [5]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["ragecolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["attachpoint"] = "TOP",
					["middleclick"] = 2,
					["bgpadding"] = 1,
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["color2"] = {
						["r"] = 0.72156862745098,
						["g"] = 0.0470588235294118,
						["b"] = 0.890196078431373,
					},
					["height"] = 18,
					["yoffset"] = 0,
					["framelevel"] = 0,
					["xoffset"] = 0,
					["alpha"] = 1,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["focuscolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["recolor"] = false,
					["hidebg"] = 1,
					["hide"] = true,
					["customtexture2"] = "bg",
					["manacolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["width"] = 152,
					["attach"] = "_HealthBar",
					["bordersize"] = 1,
					["backgroundstyle"] = 1,
					["energycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["fade"] = 1,
					["hideifnomana"] = true,
					["bgalpha"] = 1,
					["rightclick"] = 3,
					["hideifnocast"] = false,
					["customtexture"] = "bg",
					["framestrata"] = "MEDIUM",
					["leftclick"] = 1,
				}, -- [6]
			},
			["bgpadding"] = 0,
			["xos"] = {
				3, -- [1]
				395, -- [2]
				-224, -- [3]
				122, -- [4]
				-500, -- [5]
			},
			["bgalpha"] = 1,
			["RaceIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hide"] = 1,
				["bgpadding"] = 5,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["r"] = 0.0941176,
					["g"] = 0.0941176,
					["b"] = 0.0901961,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["attachpoint"] = "TOPRIGHT",
				["backgroundstyle"] = 2,
				["xoffset"] = 0,
				["size"] = 57,
				["rightclick"] = 3,
				["yoffset"] = 0,
			},
			["VoiceIcon"] = {
				["bgcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["yoffset"] = -29,
				["hide"] = 1,
				["backgroundstyle"] = 2,
				["bgalpha"] = 1,
				["xoffset"] = 4,
				["rightclick"] = 3,
				["bgtexture"] = "VoiceChat-Speaker.tga",
				["leftclick"] = 1,
			},
			["alpha"] = 1,
			["width"] = 107,
			["LeaderIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["attachpoint"] = "TOPLEFT",
				["xoffset"] = 0,
				["framestrata"] = "LOW",
				["hide"] = 1,
				["yoffset"] = 0,
			},
			["LootIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["alpha"] = 1,
				["hide"] = 1,
				["xoffset"] = -10.36,
				["attachpoint"] = "TOPLEFT",
				["rightclick"] = 3,
				["yoffset"] = 1.11984,
			},
			["backgroundstyle"] = 1,
			["PVPIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["backgroundstyle"] = 2,
				["attachpoint"] = "TOPRIGHT",
				["xoffset"] = 3,
				["framestrata"] = "LOW",
				["hide"] = 1,
				["yoffset"] = 0,
			},
			["spacing"] = 10,
			["Buffs"] = {
				["durationy"] = -5,
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOMLEFT",
				["middleclick"] = 2,
				["tworows"] = 1,
				["background"] = false,
				["size"] = 13,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 0,
				["yoffset"] = 0,
				["showduration"] = 1,
				["framelevel"] = 0,
				["bgtexture"] = "Interface\\AddOns\\MazzleUI\\Art\\pedestal",
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["hspacing"] = 4,
				["attach"] = "Unit Frame",
				["shown"] = 16,
				["backgroundstyle"] = 1,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["durationcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["altformat"] = 1,
				["spacing"] = 0,
				["alpha"] = 1,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["leftclick"] = 1,
			},
			["height"] = 108,
			["ClassIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOM",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOM",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 52,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0.549019607843137,
					["g"] = 0.537254901960784,
					["r"] = 0.533333333333333,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["bgalpha"] = 1,
				["alpha"] = 1,
				["xoffset"] = 0,
				["framestrata"] = "BACKGROUND",
				["hide"] = 1,
				["yoffset"] = 1,
			},
		},
		["healththreshold1"] = 0.6,
		["healththreshold2"] = 0.3,
		["lvlcolor6"] = {
			["b"] = 0.454901960784314,
			["g"] = 0,
			["r"] = 0.694117647058824,
		},
		["INITIALIZED7.0"] = true,
		["INITIALIZED2.0"] = true,
		["ElementsLocked"] = true,
		["INITIALIZED5.1"] = true,
		["pet"] = {
			["bgcolor"] = {
				["b"] = 1,
				["g"] = 1,
				["r"] = 1,
			},
			["borderalpha"] = 0,
			["rightclick"] = 3,
			["PVPIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["backgroundstyle"] = 2,
				["attachpoint"] = "RIGHT",
				["xoffset"] = 19,
				["framestrata"] = "LOW",
				["hide"] = 1,
				["yoffset"] = 27,
			},
			["yos"] = {
				240, -- [1]
				-793, -- [2]
				-792.1, -- [3]
				-792.1, -- [4]
			},
			["connectmethod"] = 3,
			["middleclick"] = 2,
			["PhaseIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0.964706,
					["g"] = 0.0823529,
					["b"] = 0.309804,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 0,
				["hide"] = true,
				["framestrata"] = "LOW",
				["attachpoint"] = "RIGHT",
				["xoffset"] = 13,
				["alpha"] = 1,
				["hidebg"] = 1,
				["leftclick"] = 1,
			},
			["HappinessIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["animatePetUnhappy"] = true,
				["middleclick"] = 2,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hidebg"] = 1,
				["bgpadding"] = 3,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["backgroundstyle"] = 2,
				["bgalpha"] = 1,
				["attachpoint"] = "BOTTOMRIGHT",
				["xoffset"] = -6,
				["rightclick"] = 3,
				["size"] = 27,
				["yoffset"] = 55,
			},
			["recolor"] = false,
			["StatusIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["b"] = 0.309804,
					["g"] = 0.0823529,
					["r"] = 0.964706,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["attachpoint"] = "RIGHT",
				["xoffset"] = -3,
				["framestrata"] = "LOW",
				["hide"] = 1,
				["yoffset"] = 0,
			},
			["bordercolor"] = {
				["b"] = 0.549019607843137,
				["g"] = 0.537254901960784,
				["r"] = 0.533333333333333,
			},
			["TextBox"] = {
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Name",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "BOTTOM",
					["framelevel"] = 2,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["textheight"] = 12,
					["borderalpha"] = 0,
					["hidebg"] = true,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["height"] = 5,
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 128,
					["alpha"] = 1,
					["font"] = "DUF_Font3.ttf",
					["rightclick"] = 3,
					["mouseover"] = false,
					["xoffset"] = 0,
					["text"] = "$nm",
					["attachpoint"] = "BOTTOM",
					["leftclick"] = 1,
				}, -- [1]
				{
					["yoffset"] = 5,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "TOP",
					["justifyV"] = "CENTER",
					["textheight"] = 10,
					["middleclick"] = 2,
					["disablemouse"] = 1,
					["framelevel"] = 0,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 0,
					["label"] = "Level/Family",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["mouseover"] = false,
					["attach"] = "_TextBox_1",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["width"] = 85,
					["text"] = "$lv $cf",
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["hide"] = 1,
					["height"] = 16,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [2]
				{
					["yoffset"] = 0,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["formatH"] = 1,
					["textheight"] = 9.5,
					["middleclick"] = 2,
					["framelevel"] = 0,
					["label"] = "Health Text",
					["attachto"] = "TOPRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 20,
					["mouseover"] = false,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["formatM"] = 1,
					["attach"] = "_ManaBar",
					["text"] = "$hk$nl$kh",
					["alpha"] = 1,
					["width"] = 46,
					["rightclick"] = 3,
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 3,
					["attachpoint"] = "TOPLEFT",
					["justifyV"] = "CENTER",
					["leftclick"] = 1,
				}, -- [3]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Mana %",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "TOP",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["textheight"] = 8,
					["borderalpha"] = 0,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["height"] = 10,
					["attach"] = "_ManaBar",
					["text"] = "$mp%",
					["alpha"] = 1,
					["width"] = 25,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["mouseover"] = false,
					["xoffset"] = 0,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["attachpoint"] = "TOP",
					["leftclick"] = 1,
				}, -- [4]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Health %",
					["framestrata"] = "LOW",
					["attachpoint"] = "TOP",
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "TOP",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["textheight"] = 8,
					["borderalpha"] = 0,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["height"] = 10,
					["attach"] = "_HealthBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 29,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["mouseover"] = false,
					["xoffset"] = 0,
					["text"] = "$hp%",
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [5]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Damage Overlay",
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 2,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachpoint"] = "TOPLEFT",
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["framestrata"] = "LOW",
					["height"] = 15,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["alpha"] = 1,
					["attach"] = "_TextBox_10",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 108,
					["text"] = "$rd$rh",
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["disablemouse"] = 1,
					["xoffset"] = -23,
					["borderalpha"] = 0,
					["textheight"] = 14,
					["yoffset"] = 26,
				}, -- [6]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 8,
					["middleclick"] = 2,
					["yoffset"] = -2,
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["attachto"] = "BOTTOM",
					["hideifnotext"] = 1,
					["framelevel"] = 0,
					["height"] = 12,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["label"] = "Unused",
					["attach"] = "_ManaBar",
					["text"] = "XP",
					["alpha"] = 1,
					["width"] = 89,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["font"] = "DUF_Font1.ttf",
					["framestrata"] = "LOW",
					["backgroundstyle"] = 1,
					["xoffset"] = 56,
					["hide"] = 1,
					["attachpoint"] = "BOTTOM",
					["leftclick"] = 1,
				}, -- [7]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 9.5,
					["middleclick"] = 2,
					["yoffset"] = -6,
					["framelevel"] = 0,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["label"] = "",
					["xoffset"] = -2,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["hide"] = true,
					["attach"] = "_Portrait",
					["text"] = " ",
					["alpha"] = 0.75,
					["width"] = 109,
					["mouseover"] = false,
					["font"] = "DUF_Font3.ttf",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["height"] = 100,
					["framestrata"] = "LOW",
					["attachpoint"] = "TOPLEFT",
					["leftclick"] = 1,
				}, -- [8]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["hide"] = false,
					["attachto"] = "LEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["attachpoint"] = "LEFT",
					["height"] = 15,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["attach"] = "_TargetHealthBar",
					["text"] = "$tn",
					["backgroundstyle"] = 1,
					["width"] = 69,
					["mouseover"] = false,
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["framestrata"] = "LOW",
					["xoffset"] = 2,
					["label"] = "Target name",
					["textheight"] = 8,
					["yoffset"] = 0,
				}, -- [9]
				{
					["bgcolor"] = {
						["r"] = 1,
						["g"] = 0.756862745098039,
						["b"] = 0.698039215686275,
					},
					["label"] = "Pedestal",
					["framestrata"] = "BACKGROUND",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["bgtexture"] = "pedestal",
					["leftclick"] = 1,
					["attachpoint"] = "BOTTOM",
					["attachto"] = "BOTTOM",
					["hideifnotext"] = 1,
					["rightclick"] = 3,
					["xoffset"] = 0,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["backgroundstyle"] = 1,
					["attach"] = "Unit Frame",
					["text"] = " ",
					["mouseover"] = false,
					["width"] = 65,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["borderalpha"] = 0,
					["height"] = 16,
					["textheight"] = 8,
					["middleclick"] = 2,
					["yoffset"] = 6,
				}, -- [10]
			},
			["Debuffs"] = {
				["durationy"] = -5,
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["shown"] = 6,
				["attachpoint"] = "BOTTOMLEFT",
				["middleclick"] = 2,
				["background"] = false,
				["size"] = 17,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["r"] = 0.725490196078431,
					["g"] = 0,
					["b"] = 0.384313725490196,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 3,
				["yoffset"] = 3,
				["showduration"] = 1,
				["framelevel"] = 0,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["hspacing"] = 4,
				["spacing"] = 0,
				["attach"] = "_Buffs",
				["flash"] = 1,
				["backgroundstyle"] = 2,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["framestrata"] = "LOW",
				["altformat"] = 1,
				["rightclick"] = 3,
				["bgalpha"] = 0,
				["alpha"] = 1,
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["leftclick"] = 1,
			},
			["RaceIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "TOPRIGHT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hide"] = 1,
				["bgpadding"] = 5,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["r"] = 0.0941176,
					["g"] = 0.0941176,
					["b"] = 0.0901961,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["bgalpha"] = 1,
				["backgroundstyle"] = 2,
				["xoffset"] = 0,
				["size"] = 57,
				["framestrata"] = "LOW",
				["yoffset"] = 0,
			},
			["scale"] = 1,
			["flash"] = 1,
			["bgtexture"] = "",
			["spacing"] = 10,
			["mouseovercolor"] = {
				["b"] = 0.498039215686275,
				["g"] = 0.184313725490196,
				["r"] = 0.458823529411765,
			},
			["leftclick"] = 1,
			["height"] = 107,
			["hidebg"] = 1,
			["StatusBar"] = {
				{
					["direction"] = 3,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["customtexture"] = "bg",
					["attachpoint"] = "BOTTOMLEFT",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
					["bgalpha"] = 0,
					["bgpadding"] = 0,
					["customtexture2"] = "bg",
					["framestrata"] = "BACKGROUND",
					["height"] = 90,
					["attach"] = "_Portrait",
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 27,
					["color2"] = {
						["r"] = 0.72156862745098,
						["g"] = 0.0470588235294118,
						["b"] = 0.890196078431373,
					},
					["disabletooltip"] = 1,
					["backgroundstyle"] = 1,
					["alpha"] = 1,
					["xoffset"] = 0,
					["rightclick"] = 3,
					["color"] = {
						["r"] = 0.231372549019608,
						["g"] = 0.419607843137255,
						["b"] = 0.682352941176471,
					},
					["yoffset"] = 0,
				}, -- [1]
				{
					["insanitycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["direction"] = 3,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["framestrata"] = "BACKGROUND",
					["attachpoint"] = "BOTTOMRIGHT",
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["maelstrompower"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["furycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["recolor"] = false,
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["color2"] = {
						["b"] = 0.615686274509804,
						["g"] = 0.415686274509804,
						["r"] = 0.564705882352941,
					},
					["height"] = 90,
					["yoffset"] = 0,
					["hideifnomana"] = 1,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 0,
					["holycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["backgroundstyle"] = 1,
					["alpha"] = 1,
					["customtexture2"] = "bg",
					["focuscolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["energycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["attach"] = "_Portrait",
					["framelevel"] = 0,
					["bordersize"] = 1,
					["width"] = 27,
					["ragecolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["bgalpha"] = 0,
					["rightclick"] = 3,
					["customtexture"] = "bg",
					["manacolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["bgpadding"] = 0,
					["lunarpowercolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["leftclick"] = 1,
				}, -- [2]
				{
					["direction"] = 3,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.36,
					["color"] = {
						["r"] = 0.290196078431373,
						["g"] = 0.305882352941177,
						["b"] = 0.87843137254902,
					},
					["bgalpha"] = 0,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
					["attachpoint"] = "BOTTOMLEFT",
					["hide"] = 1,
					["bgpadding"] = 1,
					["customtexture2"] = "StoneStatusBar2",
					["framestrata"] = "LOW",
					["height"] = 82,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 12,
					["color2"] = {
						["r"] = 0.0627450980392157,
						["g"] = 0.12156862745098,
						["b"] = 0.184313725490196,
					},
					["rightclick"] = 3,
					["alpha"] = 1,
					["recolor"] = false,
					["xoffset"] = 23,
					["backgroundstyle"] = 1,
					["customtexture"] = "StoneStatusBar2",
					["yoffset"] = 0,
				}, -- [3]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 1,
					["customtexture"] = "bg",
					["bgalpha"] = 1,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["hide"] = 1,
					["bgpadding"] = 1,
					["leftclick"] = 1,
					["framestrata"] = "BACKGROUND",
					["rightclick"] = 3,
					["attach"] = "_ClassIcon",
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 77,
					["color2"] = {
						["b"] = 0.27843137254902,
						["g"] = 0.713725490196079,
						["r"] = 0.392156862745098,
					},
					["height"] = 15,
					["attachpoint"] = "TOPLEFT",
					["alpha"] = 1,
					["xoffset"] = 69,
					["backgroundstyle"] = 1,
					["color"] = {
						["r"] = 0.207843137254902,
						["g"] = 0.2,
						["b"] = 0.219607843137255,
					},
					["yoffset"] = 16,
				}, -- [4]
				{
					["insanitycolor"] = {
						["b"] = 0.8,
						["g"] = 0,
						["r"] = 0.4,
					},
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["framestrata"] = "BACKGROUND",
					["attachpoint"] = "TOPLEFT",
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["b"] = 1,
						["g"] = 0.82,
						["r"] = 0,
					},
					["maelstrompower"] = {
						["b"] = 1,
						["g"] = 0.5,
						["r"] = 0,
					},
					["bgpadding"] = 1,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 9,
					["yoffset"] = -15.2599,
					["framelevel"] = 0,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 5.95745,
					["hide"] = 1,
					["holycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["manacolor"] = {
						["b"] = 1,
						["g"] = 0,
						["r"] = 0,
					},
					["focuscolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["width"] = 122,
					["attach"] = "Unit Frame",
					["backgroundstyle"] = 1,
					["alpha"] = 1,
					["energycolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["bordersize"] = 1,
					["hideifnomana"] = true,
					["ragecolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 1,
					},
					["bgalpha"] = 1,
					["rightclick"] = 3,
					["recolor"] = false,
					["lunarpowercolor"] = {
						["b"] = 0.9,
						["g"] = 0.52,
						["r"] = 0.3,
					},
					["leftclick"] = 1,
				}, -- [5]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["customtexture"] = "bg",
					["attachpoint"] = "TOP",
					["middleclick"] = 2,
					["bgpadding"] = 1,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["b"] = 0.890196078431373,
						["g"] = 0.0470588235294118,
						["r"] = 0.72156862745098,
					},
					["xoffset"] = 0,
					["yoffset"] = 0,
					["fade"] = 1,
					["height"] = 18,
					["framestrata"] = "MEDIUM",
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["alpha"] = 1,
					["focuscolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["hide"] = true,
					["recolor"] = false,
					["customtexture2"] = "bg",
					["manacolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["width"] = 152,
					["attach"] = "_HealthBar",
					["bordersize"] = 1,
					["backgroundstyle"] = 1,
					["energycolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["framelevel"] = 0,
					["ragecolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["bgalpha"] = 1,
					["rightclick"] = 3,
					["hidebg"] = 1,
					["hideifnomana"] = true,
					["hideifnocast"] = false,
					["leftclick"] = 1,
				}, -- [6]
			},
			["RoleIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOM",
				["middleclick"] = 2,
				["attachto"] = "BOTTOMLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 3,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0.996078,
					["g"] = 1,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["alpha"] = 1,
				["xoffset"] = 0,
				["bgalpha"] = 1,
				["hidebg"] = 1,
				["yoffset"] = 0,
			},
			["bgpadding"] = 0,
			["xos"] = {
				252, -- [1]
				527.72, -- [2]
				899.74, -- [3]
				1068.03, -- [4]
			},
			["Portrait"] = {
				["bgcolor"] = {
					["r"] = 0.0196078,
					["g"] = 0.0196078,
					["b"] = 0.0196078,
				},
				["borderalpha"] = 0,
				["framestrata"] = "BACKGROUND",
				["attachpoint"] = "BOTTOMLEFT",
				["framelevel"] = 1,
				["middleclick"] = 2,
				["attachto"] = "BOTTOMLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hidebg"] = 1,
				["bgpadding"] = 0,
				["bordcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["backgroundstyle"] = 1,
				["leftclick"] = 1,
				["use3D"] = 1,
				["alpha"] = 1,
				["size"] = 106,
				["xoffset"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 0.43,
				["yoffset"] = 0,
			},
			["VoiceIcon"] = {
				["bgcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["bgtexture"] = "VoiceChat-Speaker.tga",
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["middleclick"] = 2,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["xoffset"] = 5,
				["backgroundstyle"] = 2,
				["hide"] = 1,
				["yoffset"] = -30,
			},
			["backgroundstyle"] = 1,
			["width"] = 107,
			["bgalpha"] = 1,
			["LootIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["backgroundstyle"] = 2,
				["hide"] = 1,
				["xoffset"] = -10.36,
				["attachpoint"] = "TOPLEFT",
				["framestrata"] = "LOW",
				["yoffset"] = 1.11984,
			},
			["alpha"] = 1,
			["attachpoint"] = {
				"BOTTOMLEFT", -- [1]
			},
			["attachto"] = {
				"BOTTOMLEFT", -- [1]
			},
			["Buffs"] = {
				["durationy"] = -5,
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOMLEFT",
				["middleclick"] = 2,
				["tworows"] = 1,
				["background"] = false,
				["size"] = 14,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 0,
				["yoffset"] = 0,
				["showduration"] = 1,
				["framelevel"] = 0,
				["bgtexture"] = "Interface\\AddOns\\MazzleUI\\Art\\pedestal",
				["spacing"] = 0,
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["hspacing"] = 4,
				["attach"] = "Unit Frame",
				["backgroundstyle"] = 1,
				["alpha"] = 1,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["attachto"] = "TOPLEFT",
				["altformat"] = 1,
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["framestrata"] = "LOW",
				["shown"] = 14,
				["bgalpha"] = 1,
				["leftclick"] = 1,
			},
			["LeaderIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["attachpoint"] = "BOTTOMRIGHT",
				["xoffset"] = 29,
				["framestrata"] = "LOW",
				["hide"] = 1,
				["yoffset"] = 26,
			},
			["ClassIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOM",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOM",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 52,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0.549019607843137,
					["g"] = 0.537254901960784,
					["r"] = 0.533333333333333,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["bgalpha"] = 1,
				["alpha"] = 1,
				["xoffset"] = 0,
				["framestrata"] = "BACKGROUND",
				["hide"] = 1,
				["yoffset"] = 1,
			},
		},
		["TotemsBuffs"] = {
			["attachto"] = "TOPLEFT",
			["direction"] = 1,
			["scale"] = 0.88,
			["spacing"] = 11,
			["attach"] = "_Debuffs",
			["attachpoint"] = "BOTTOMLEFT",
			["xoffset"] = 0,
			["yoffset"] = 0,
		},
		["lvlcolor5"] = {
			["b"] = 0,
			["g"] = 0,
			["r"] = 0.749019607843137,
		},
		["INITIALIZED2.3u"] = true,
		["flashthreshold"] = 0.1,
		["usefor0"] = 1,
		["manacolor2"] = {
			["r"] = 0.498039215686275,
			["g"] = 0,
			["b"] = 0.592156862745098,
		},
		["reactioncolor3"] = {
			["b"] = 0,
			["g"] = 1,
			["r"] = 0,
		},
		["manathreshold1"] = 0.6,
		["INITIALIZED2.3w"] = true,
		["INITIALIZED2.3x"] = true,
		["classcolorMonk"] = {
			["r"] = 0,
			["g"] = 1,
			["b"] = 0.588,
		},
		["INITIALIZED5.5"] = true,
		["classcolorDemonHunter"] = {
			["r"] = 0.64,
			["g"] = 0.19,
			["b"] = 0.79,
		},
		["INITIALIZED4.18"] = true,
		["INITIALIZED4.17"] = true,
		["INITIALIZED2.3s"] = true,
		["healthcolor1"] = {
			["b"] = 0.137254901960784,
			["g"] = 0.756862745098039,
			["r"] = 0.250980392156863,
		},
		["reactioncolor4"] = {
			["b"] = 1,
			["g"] = 0,
			["r"] = 0,
		},
		["attachto"] = "BOTTOMLEFT",
		["INITIALIZED5.0a"] = true,
		["INITIALIZED2.0f"] = true,
		["hidepartyinraid"] = 1,
		["reactioncolor6"] = {
			["b"] = 0.6,
			["g"] = 0.6,
			["r"] = 0.6,
		},
		["INITIALIZED7.0c"] = true,
		["INITIALIZED5.0"] = true,
		["INITIALIZED2.2c"] = true,
		["classcolorShaman"] = {
			["r"] = 0.14,
			["g"] = 0.35,
			["b"] = 1,
		},
		["focus"] = {
			["bgcolor"] = {
				["r"] = 1,
				["g"] = 1,
				["b"] = 1,
			},
			["borderalpha"] = 0,
			["rightclick"] = 3,
			["bgalpha"] = 1,
			["yos"] = {
				37, -- [1]
				-830.91, -- [2]
				-829.6, -- [3]
				-829.6, -- [4]
			},
			["connectmethod"] = 3,
			["middleclick"] = 2,
			["PhaseIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["b"] = 0.309804,
					["g"] = 0.0823529,
					["r"] = 0.964706,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["attachpoint"] = "RIGHT",
				["xoffset"] = 13,
				["framestrata"] = "LOW",
				["hide"] = true,
				["yoffset"] = 0,
			},
			["recolor"] = false,
			["StatusIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0.964706,
					["g"] = 0.0823529,
					["b"] = 0.309804,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 0,
				["hide"] = 1,
				["framestrata"] = "LOW",
				["attachpoint"] = "RIGHT",
				["xoffset"] = -3,
				["alpha"] = 1,
				["hidebg"] = 1,
				["leftclick"] = 1,
			},
			["bordercolor"] = {
				["r"] = 0.533333333333333,
				["g"] = 0.537254901960784,
				["b"] = 0.549019607843137,
			},
			["TextBox"] = {
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["label"] = "Name",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["attachpoint"] = "BOTTOMLEFT",
					["backgroundstyle"] = 1,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "LEFT",
					["xoffset"] = 0,
					["attach"] = "_HealthBar",
					["text"] = "$nm",
					["alpha"] = 1,
					["width"] = 80,
					["rightclick"] = 3,
					["font"] = "DUF_Font3.ttf",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["mouseover"] = false,
					["height"] = 16,
					["borderalpha"] = 0,
					["textheight"] = 12,
					["yoffset"] = 1,
				}, -- [1]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 10,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["attachpoint"] = "TOPLEFT",
					["framestrata"] = "LOW",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 0.937254901960784,
						["g"] = 1,
						["b"] = 0.345098039215686,
					},
					["justify"] = "LEFT",
					["xoffset"] = 97,
					["attach"] = "_TextBox_1",
					["text"] = "Focus",
					["alpha"] = 1,
					["width"] = 103,
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["mouseover"] = false,
					["height"] = 39,
					["label"] = "Focus Text",
					["framelevel"] = 0,
					["yoffset"] = 1,
				}, -- [2]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["label"] = "",
					["rightclick"] = 3,
					["attachpoint"] = "LEFT",
					["justifyV"] = "BOTTOM",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["hidebg"] = 1,
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["bgalpha"] = 1,
					["xoffset"] = 36,
					["hide"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["alpha"] = 1,
					["attach"] = "Unit Frame",
					["text"] = "",
					["mouseover"] = false,
					["width"] = 40,
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["font"] = "DUF_Font1.ttf",
					["framestrata"] = "LOW",
					["backgroundstyle"] = 1,
					["height"] = 22,
					["borderalpha"] = 0,
					["textheight"] = 10,
					["yoffset"] = 12,
				}, -- [3]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = 1,
					["textheight"] = 8,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["label"] = "",
					["xoffset"] = -3,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["attach"] = "_ManaBar",
					["text"] = "",
					["backgroundstyle"] = 1,
					["width"] = 29,
					["mouseover"] = false,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["alpha"] = 1,
					["height"] = 10,
					["hide"] = 1,
					["attachpoint"] = "TOPLEFT",
					["leftclick"] = 1,
				}, -- [4]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 9,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["framelevel"] = 0,
					["label"] = "Health %",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "RIGHT",
					["xoffset"] = -2,
					["attach"] = "_HealthBar",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 29,
					["mouseover"] = false,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["alpha"] = 1,
					["height"] = 10,
					["text"] = "$hp%",
					["attachpoint"] = "RIGHT",
					["leftclick"] = 1,
				}, -- [5]
				{
					["outline"] = "NORMAL",
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["label"] = "",
					["rightclick"] = 3,
					["attachpoint"] = "LEFT",
					["justifyV"] = "BOTTOM",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["bgalpha"] = 1,
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["framestrata"] = "LOW",
					["xoffset"] = 84,
					["hide"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["attach"] = "Unit Frame",
					["text"] = "",
					["mouseover"] = false,
					["width"] = 40,
					["hidebg"] = 1,
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["backgroundstyle"] = 1,
					["height"] = 22,
					["borderalpha"] = 0,
					["textheight"] = 10,
					["yoffset"] = 12,
				}, -- [6]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["attachpoint"] = "TOP",
					["justifyV"] = "CENTER",
					["textheight"] = 10,
					["middleclick"] = 2,
					["yoffset"] = 50,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["framelevel"] = 0,
					["label"] = "",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 0.0509803921568627,
						["g"] = 0,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["height"] = 12,
					["attach"] = "Unit Frame",
					["text"] = "",
					["backgroundstyle"] = 1,
					["width"] = 99,
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["font"] = "DUF_Font1.ttf",
					["framestrata"] = "LOW",
					["alpha"] = 1,
					["xoffset"] = 1,
					["hide"] = 1,
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [7]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["disablemouse"] = 1,
					["framestrata"] = "LOW",
					["attachpoint"] = "BOTTOM",
					["justifyV"] = "CENTER",
					["framelevel"] = 2,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["rightclick"] = 3,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["label"] = "Damage Overlay",
					["xoffset"] = 30,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "CENTER",
					["alpha"] = 1,
					["attach"] = "Unit Frame",
					["text"] = "$rd$rh",
					["backgroundstyle"] = 1,
					["width"] = 99,
					["bgalpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["mouseover"] = false,
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["height"] = 15,
					["borderalpha"] = 0,
					["textheight"] = 14,
					["yoffset"] = -13,
				}, -- [8]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["label"] = "Target name",
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["textheight"] = 8,
					["middleclick"] = 2,
					["yoffset"] = 0.17,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["backgroundstyle"] = 1,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["justify"] = "LEFT",
					["xoffset"] = 2.67,
					["attach"] = "Unit Frame",
					["text"] = "$tn",
					["alpha"] = 1,
					["width"] = 100,
					["mouseover"] = false,
					["font"] = "DUF_Font1.ttf",
					["attachpoint"] = "BOTTOMLEFT",
					["framelevel"] = 0,
					["height"] = 15,
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["leftclick"] = 1,
				}, -- [9]
				{
					["bgcolor"] = {
						["r"] = 0.545098039215686,
						["g"] = 0.549019607843137,
						["b"] = 1,
					},
					["borderalpha"] = 0,
					["framestrata"] = "BACKGROUND",
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["textheight"] = 14,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["label"] = "",
					["height"] = 16,
					["hide"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0.858823529411765,
					},
					["justify"] = "RIGHT",
					["bgtexture"] = "",
					["attach"] = "Unit Frame",
					["text"] = " ",
					["backgroundstyle"] = 1,
					["width"] = 42,
					["mouseover"] = false,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["alpha"] = 1,
					["xoffset"] = 1,
					["bordercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["attachpoint"] = "BOTTOM",
					["leftclick"] = 1,
				}, -- [10]
			},
			["Debuffs"] = {
				["durationy"] = 0,
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["framestrata"] = "LOW",
				["attachpoint"] = "BOTTOMRIGHT",
				["middleclick"] = 2,
				["background"] = false,
				["size"] = 16,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["b"] = 0.384313725490196,
					["g"] = 0,
					["r"] = 0.725490196078431,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 0,
				["hspacing"] = 0,
				["showduration"] = 1,
				["flash"] = 1,
				["spacing"] = 0,
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["yoffset"] = 21,
				["attachto"] = "TOPRIGHT",
				["attach"] = "_TargetHealthBar",
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["backgroundstyle"] = 2,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["bgalpha"] = 0,
				["altformat"] = 1,
				["rightclick"] = 3,
				["shown"] = 3,
				["alpha"] = 1,
				["framelevel"] = 0,
				["leftclick"] = 1,
			},
			["Portrait"] = {
				["bgcolor"] = {
					["b"] = 0.0196078,
					["g"] = 0.0196078,
					["r"] = 0.0196078,
				},
				["borderalpha"] = 0,
				["framestrata"] = "BACKGROUND",
				["bgalpha"] = 0.43,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["hidebg"] = 1,
				["bgpadding"] = 0,
				["bordcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["alpha"] = 1,
				["size"] = 40,
				["use3D"] = 1,
				["disablemouse"] = 1,
				["backgroundstyle"] = 1,
				["xoffset"] = 92.0025,
				["rightclick"] = 3,
				["attachpoint"] = "TOPLEFT",
				["yoffset"] = -5.359818,
			},
			["scale"] = 1,
			["flash"] = 1,
			["bgtexture"] = "",
			["ClassIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOM",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOM",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 52,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0.533333333333333,
					["g"] = 0.537254901960784,
					["b"] = 0.549019607843137,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 1,
				["hide"] = 1,
				["framestrata"] = "BACKGROUND",
				["alpha"] = 1,
				["xoffset"] = 0,
				["bgalpha"] = 1,
				["hidebg"] = 1,
				["leftclick"] = 1,
			},
			["attachto"] = {
				"CENTER", -- [1]
			},
			["mouseovercolor"] = {
				["r"] = 0.458823529411765,
				["g"] = 0.184313725490196,
				["b"] = 0.498039215686275,
			},
			["LeaderIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "MEDIUM",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOP",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_TextBox_10",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 61,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOM",
				["alpha"] = 1,
				["xoffset"] = 1,
				["hidebg"] = 1,
				["hide"] = 1,
				["leftclick"] = 1,
			},
			["hide"] = 1,
			["hidebg"] = 1,
			["StatusBar"] = {
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 1,
					["rightclick"] = 3,
					["attachpoint"] = "BOTTOMLEFT",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["yoffset"] = 15,
					["customtexture"] = "bg",
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["customtexture2"] = "bg",
					["framestrata"] = "BACKGROUND",
					["xoffset"] = 0,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 100,
					["color2"] = {
						["r"] = 0.72156862745098,
						["g"] = 0.0470588235294118,
						["b"] = 0.890196078431373,
					},
					["alpha"] = 1,
					["backgroundstyle"] = 1,
					["disabletooltip"] = 1,
					["height"] = 15,
					["color"] = {
						["r"] = 0.231372549019608,
						["g"] = 0.419607843137255,
						["b"] = 0.682352941176471,
					},
					["bgalpha"] = 0,
					["leftclick"] = 1,
				}, -- [1]
				{
					["direction"] = 3,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["customtexture"] = "bg",
					["attachpoint"] = "BOTTOMLEFT",
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["recolor"] = false,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["r"] = 0.72156862745098,
						["g"] = 0.0470588235294118,
						["b"] = 0.890196078431373,
					},
					["xoffset"] = -2,
					["yoffset"] = 0,
					["hideifnomana"] = 1,
					["attachto"] = "BOTTOMRIGHT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["height"] = 82,
					["hide"] = 1,
					["bordersize"] = 1,
					["customtexture2"] = "bg",
					["manacolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["energycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["attach"] = "Unit Frame",
					["alpha"] = 1,
					["backgroundstyle"] = 1,
					["width"] = 24,
					["focuscolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["bgpadding"] = 1,
					["framelevel"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 0,
					["framestrata"] = "BACKGROUND",
					["ragecolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["leftclick"] = 1,
				}, -- [2]
				nil, -- [3]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 1,
					["customtexture"] = "bg0",
					["bgalpha"] = 0,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["yoffset"] = 1,
					["bgpadding"] = 1,
					["customtexture2"] = "bg0",
					["rightclick"] = 3,
					["backgroundstyle"] = 1,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 100,
					["color2"] = {
						["r"] = 0.72156862745098,
						["g"] = 0.0470588235294118,
						["b"] = 0.890196078431373,
					},
					["xoffset"] = 0,
					["alpha"] = 1,
					["attachpoint"] = "BOTTOMLEFT",
					["height"] = 13,
					["color"] = {
						["r"] = 0.0784313725490196,
						["g"] = 0.494117647058824,
						["b"] = 0.101960784313726,
					},
					["framestrata"] = "BACKGROUND",
					["leftclick"] = 1,
				}, -- [4]
				{
					["yoffset"] = -15.2599,
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["ragecolor"] = {
						["r"] = 1,
						["g"] = 0,
						["b"] = 0,
					},
					["attachpoint"] = "TOPLEFT",
					["attachto"] = "TOPLEFT",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["bgalpha"] = 1,
					["height"] = 9,
					["runicpowercolor"] = {
						["b"] = 1,
						["g"] = 0.82,
						["r"] = 0,
					},
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["rightclick"] = 3,
					["context"] = 5,
					["hide"] = 1,
					["recolor"] = false,
					["framestrata"] = "BACKGROUND",
					["focuscolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["hideifnomana"] = true,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["bordersize"] = 1,
					["energycolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["color2"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["width"] = 122,
					["alpha"] = 1,
					["manacolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 1,
					},
					["xoffset"] = 5.95745,
					["backgroundstyle"] = 1,
					["bgpadding"] = 1,
					["leftclick"] = 1,
				}, -- [5]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["rightclick"] = 3,
					["attachpoint"] = "TOP",
					["middleclick"] = 2,
					["bgpadding"] = 1,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["b"] = 0.890196078431373,
						["g"] = 0.0470588235294118,
						["r"] = 0.72156862745098,
					},
					["height"] = 18,
					["yoffset"] = 0,
					["framelevel"] = 0,
					["xoffset"] = 0,
					["backgroundstyle"] = 1,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["bordersize"] = 1,
					["manacolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["hide"] = true,
					["recolor"] = false,
					["customtexture2"] = "bg",
					["focuscolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["energycolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["attach"] = "_HealthBar",
					["hideifnomana"] = true,
					["alpha"] = 1,
					["width"] = 152,
					["hidebg"] = 1,
					["fade"] = 1,
					["bgalpha"] = 1,
					["ragecolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["customtexture"] = "bg",
					["framestrata"] = "MEDIUM",
					["hideifnocast"] = false,
					["leftclick"] = 1,
				}, -- [6]
			},
			["alpha"] = 1,
			["bgpadding"] = 0,
			["PVPIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOM",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["yoffset"] = -2,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOM",
				["backgroundstyle"] = 2,
				["xoffset"] = 0,
				["hidebg"] = 1,
				["hide"] = 1,
				["leftclick"] = 1,
			},
			["RaceIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["targetIcon"] = 1,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["hidebg"] = 1,
				["bgpadding"] = 5,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["b"] = 0.0901961,
					["g"] = 0.0941176,
					["r"] = 0.0941176,
				},
				["alpha"] = 1,
				["yoffset"] = -7,
				["framestrata"] = "LOW",
				["size"] = 16,
				["backgroundstyle"] = 2,
				["xoffset"] = 0,
				["attachpoint"] = "TOPRIGHT",
				["hide"] = 1,
				["leftclick"] = 1,
			},
			["VoiceIcon"] = {
				["bgcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["bgtexture"] = "VoiceChat-Speaker.tga",
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["middleclick"] = 2,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["xoffset"] = 0,
				["backgroundstyle"] = 2,
				["hide"] = 1,
				["yoffset"] = 0,
			},
			["backgroundstyle"] = 1,
			["width"] = 40,
			["height"] = 45,
			["LootIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["yoffset"] = 1.11984,
				["rightclick"] = 3,
				["attachpoint"] = "TOPLEFT",
				["xoffset"] = -10.36,
				["hide"] = 1,
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
			},
			["attachpoint"] = {
				"BOTTOMLEFT", -- [1]
			},
			["RoleIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["middleclick"] = 2,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hide"] = 1,
				["bgpadding"] = 3,
				["attach"] = "_Portrait",
				["bordercolor"] = {
					["r"] = 0.996078,
					["g"] = 1,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["size"] = 25,
				["alpha"] = 1,
				["xoffset"] = 4,
				["attachpoint"] = "CENTER",
				["hidebg"] = 1,
				["yoffset"] = -4,
			},
			["spacing"] = 10,
			["Buffs"] = {
				["durationy"] = 0,
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["framestrata"] = "LOW",
				["attachpoint"] = "BOTTOMLEFT",
				["middleclick"] = 2,
				["background"] = false,
				["size"] = 12,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 0,
				["hspacing"] = 0,
				["showduration"] = 1,
				["framelevel"] = 0,
				["bgtexture"] = "Interface\\AddOns\\MazzleUI\\Art\\pedestal",
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["yoffset"] = 10,
				["attach"] = "_HealthBar",
				["spacing"] = 0,
				["backgroundstyle"] = 1,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["bgalpha"] = 1,
				["altformat"] = 1,
				["shown"] = 4,
				["rightclick"] = 3,
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
			},
			["xos"] = {
				130, -- [1]
				532.12, -- [2]
				926.41, -- [3]
				1113.86, -- [4]
			},
			["leftclick"] = 1,
		},
		["BossV"] = {
			["xos"] = {
				-187, -- [1]
				395, -- [2]
				-224, -- [3]
				122, -- [4]
				-500, -- [5]
			},
			["connect"] = true,
			["attachto"] = {
				"TOPRIGHT", -- [1]
				"LEFT", -- [2]
				"CENTER", -- [3]
				"CENTER", -- [4]
				"RIGHT", -- [5]
			},
			["spacing"] = 45,
			["attachpoint"] = {
				"TOPRIGHT", -- [1]
				"TOPLEFT", -- [2]
				"TOPRIGHT", -- [3]
				"TOPLEFT", -- [4]
				"TOPRIGHT", -- [5]
			},
			["yos"] = {
				-112, -- [1]
				-64, -- [2]
				-64, -- [3]
				-64, -- [4]
				-64, -- [5]
			},
			["connectmethod"] = 1,
		},
		["lvlcolor1"] = {
			["b"] = 0.6,
			["g"] = 0.6,
			["r"] = 0.6,
		},
		["INITIALIZED4.0a"] = true,
		["reactioncolor2"] = {
			["b"] = 0,
			["g"] = 1,
			["r"] = 1,
		},
		["PetOffset"] = {
			["y"] = -89,
			["x"] = 20,
		},
		["INITIALIZED5.10"] = true,
		["hidedurability"] = true,
		["petbattlehideparty"] = true,
		["hidebuffframe"] = true,
		["partypet"] = {
			["bgcolor"] = {
				["b"] = 1,
				["g"] = 1,
				["r"] = 1,
			},
			["borderalpha"] = 0,
			["rightclick"] = 3,
			["PVPIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["backgroundstyle"] = 2,
				["attachpoint"] = "RIGHT",
				["xoffset"] = -1,
				["framestrata"] = "LOW",
				["hide"] = 1,
				["yoffset"] = -25,
			},
			["yos"] = {
				-215, -- [1]
				-215, -- [2]
				-215, -- [3]
				-215, -- [4]
			},
			["xos"] = {
				395, -- [1]
				-224, -- [2]
				122, -- [3]
				-500, -- [4]
			},
			["middleclick"] = 2,
			["PhaseIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["r"] = 0.964706,
					["g"] = 0.0823529,
					["b"] = 0.309804,
				},
				["backgroundstyle"] = 2,
				["yoffset"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "RIGHT",
				["alpha"] = 1,
				["xoffset"] = 13,
				["hidebg"] = 1,
				["hide"] = true,
				["leftclick"] = 1,
			},
			["RoleIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["rightclick"] = 3,
				["attachpoint"] = "CENTER",
				["middleclick"] = 2,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hide"] = 1,
				["bgpadding"] = 3,
				["attach"] = "_Portrait",
				["bordercolor"] = {
					["r"] = 0.996078,
					["g"] = 1,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["size"] = 25,
				["alpha"] = 1,
				["xoffset"] = 4,
				["bgalpha"] = 1,
				["hidebg"] = 1,
				["yoffset"] = -4,
			},
			["StatusIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_ManaBar",
				["bordercolor"] = {
					["b"] = 0.309804,
					["g"] = 0.0823529,
					["r"] = 0.964706,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hide"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["xoffset"] = -3,
				["attachpoint"] = "RIGHT",
				["framestrata"] = "LOW",
				["yoffset"] = 0,
			},
			["bordercolor"] = {
				["b"] = 0.549019607843137,
				["g"] = 0.537254901960784,
				["r"] = 0.533333333333333,
			},
			["TextBox"] = {
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Name",
					["rightclick"] = 3,
					["attachpoint"] = "TOPLEFT",
					["justifyV"] = "TOP",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = 0,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["textheight"] = 15.5,
					["borderalpha"] = 0,
					["hidebg"] = true,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["xoffset"] = 0,
					["attach"] = "_HealthBar",
					["text"] = "$nm ($lv)",
					["backgroundstyle"] = 1,
					["width"] = 175,
					["alpha"] = 1,
					["font"] = "DUF_Font1.ttf",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["framestrata"] = "LOW",
					["height"] = 16,
					["mouseover"] = false,
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [1]
				{
					["yoffset"] = 0,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["bgalpha"] = 1,
					["formatH"] = 1,
					["textheight"] = 17.5,
					["middleclick"] = 2,
					["framelevel"] = 0,
					["label"] = "Health",
					["attachto"] = "LEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 3,
					["mouseover"] = false,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["formatM"] = 1,
					["attach"] = "_HealthBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["backgroundstyle"] = 1,
					["width"] = 105,
					["rightclick"] = 3,
					["font"] = "DUF_Font1.ttf",
					["alpha"] = 1,
					["text"] = "$hk",
					["height"] = 16,
					["attachpoint"] = "LEFT",
					["justifyV"] = "CENTER",
					["leftclick"] = 1,
				}, -- [2]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["label"] = "Mana",
					["rightclick"] = 3,
					["attachpoint"] = "LEFT",
					["formatH"] = 1,
					["textheight"] = 17.5,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["justifyV"] = "CENTER",
					["attachto"] = "LEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["bgalpha"] = 1,
					["xoffset"] = 2,
					["hidebg"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["formatM"] = 1,
					["attach"] = "_ManaBar",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["alpha"] = 1,
					["width"] = 73,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font1.ttf",
					["framestrata"] = "LOW",
					["text"] = "$mk",
					["height"] = 10,
					["borderalpha"] = 0,
					["framelevel"] = 0,
					["yoffset"] = 1,
				}, -- [3]
				{
					["bgcolor"] = {
						["r"] = 0.545098039215686,
						["g"] = 0.549019607843137,
						["b"] = 1,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "RIGHT",
					["justifyV"] = "CENTER",
					["textheight"] = 9,
					["bgtexture"] = "pedestal",
					["yoffset"] = 8,
					["middleclick"] = 2,
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["label"] = "Pedestal",
					["height"] = 16,
					["hide"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "RIGHT",
					["framelevel"] = 0,
					["attach"] = "Unit Frame",
					["text"] = " ",
					["alpha"] = 1,
					["width"] = 64,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font1.ttf",
					["rightclick"] = 3,
					["mouseover"] = false,
					["xoffset"] = 2,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["bgalpha"] = 1,
					["leftclick"] = 1,
				}, -- [4]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["rightclick"] = 3,
					["bgalpha"] = 1,
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["hidebg"] = 1,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["attachpoint"] = "TOPLEFT",
					["xoffset"] = 0,
					["hide"] = true,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "RIGHT",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["attach"] = "_Portrait",
					["text"] = " ",
					["alpha"] = 1,
					["width"] = 139,
					["backgroundstyle"] = 1,
					["font"] = "DUF_Font1.ttf",
					["mouseover"] = false,
					["textheight"] = 9,
					["height"] = 41,
					["label"] = "",
					["framestrata"] = "MEDIUM",
					["yoffset"] = 0,
				}, -- [5]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "TOPLEFT",
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["bgalpha"] = 1,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["text"] = "$hp%",
					["xoffset"] = 99.0179,
					["hidebg"] = true,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "RIGHT",
					["alpha"] = 1,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 29,
					["hide"] = 1,
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["rightclick"] = 3,
					["height"] = 10,
					["label"] = "TextBox 6",
					["textheight"] = 9,
					["yoffset"] = -4.10061,
				}, -- [6]
				{
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["label"] = "TextBox 7",
					["rightclick"] = 3,
					["attachpoint"] = "TOP",
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["yoffset"] = -0.25,
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["textheight"] = 6.5,
					["borderalpha"] = 0,
					["hide"] = 1,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 0.988235,
						["g"] = 0.968627,
						["b"] = 1,
					},
					["justify"] = "CENTER",
					["xoffset"] = 0,
					["attach"] = "_ManaBar",
					["text"] = "$xc / $xl (+$xr)",
					["backgroundstyle"] = 1,
					["width"] = 180,
					["framestrata"] = "LOW",
					["font"] = "DUF_Font1.ttf",
					["bgalpha"] = 1,
					["alpha"] = 1,
					["height"] = 12,
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["hidebg"] = true,
					["leftclick"] = 1,
				}, -- [7]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "TOPLEFT",
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["bgalpha"] = 1,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["text"] = "$ds",
					["xoffset"] = -33.8543,
					["hidebg"] = true,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 0.121569,
						["b"] = 0.215686,
					},
					["justify"] = "CENTER",
					["alpha"] = 0.75,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 42,
					["hide"] = 1,
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["rightclick"] = 3,
					["height"] = 15,
					["label"] = "TextBox 8",
					["textheight"] = 9.75,
					["yoffset"] = -18.0001,
				}, -- [8]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "TOPLEFT",
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["bgalpha"] = 1,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["text"] = "",
					["xoffset"] = 150,
					["hidebg"] = true,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["alpha"] = 1,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 120,
					["hide"] = 1,
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["rightclick"] = 3,
					["height"] = 15,
					["label"] = "TextBox 9",
					["textheight"] = 9.75,
					["yoffset"] = -60,
				}, -- [9]
				{
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0,
					["framestrata"] = "LOW",
					["attachpoint"] = "TOPLEFT",
					["justifyV"] = "CENTER",
					["framelevel"] = 0,
					["middleclick"] = 2,
					["leftclick"] = 1,
					["bgalpha"] = 1,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["text"] = "",
					["xoffset"] = 150,
					["hidebg"] = true,
					["bgpadding"] = 1,
					["textcolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["justify"] = "LEFT",
					["alpha"] = 1,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["mouseover"] = false,
					["width"] = 120,
					["hide"] = true,
					["font"] = "DUF_Font1.ttf",
					["backgroundstyle"] = 1,
					["rightclick"] = 3,
					["height"] = 15,
					["label"] = "TextBox 10",
					["textheight"] = 9.75,
					["yoffset"] = -70,
				}, -- [10]
			},
			["Debuffs"] = {
				["durationy"] = -5,
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 1,
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["attachpoint"] = "TOPRIGHT",
				["middleclick"] = 2,
				["tworows"] = 1,
				["background"] = false,
				["size"] = 12,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = -5,
				["yoffset"] = -1,
				["showduration"] = 1,
				["framelevel"] = 0,
				["vertical"] = false,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["spacing"] = 0,
				["flash"] = false,
				["attach"] = "_Buffs",
				["bgalpha"] = 1,
				["backgroundstyle"] = 2,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["shown"] = 8,
				["altformat"] = 1,
				["hspacing"] = 6,
				["rightclick"] = 3,
				["alpha"] = 1,
				["framestrata"] = "LOW",
				["leftclick"] = 1,
			},
			["Portrait"] = {
				["bgcolor"] = {
					["r"] = 0.0196078,
					["g"] = 0.0196078,
					["b"] = 0.0196078,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "BOTTOMLEFT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hidebg"] = 1,
				["bgpadding"] = 0,
				["bordcolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["backgroundstyle"] = 1,
				["leftclick"] = 1,
				["use3D"] = 1,
				["alpha"] = 1,
				["size"] = 25,
				["xoffset"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 0.43,
				["yoffset"] = 0,
			},
			["scale"] = 1,
			["spacing"] = 92,
			["mouseovercolor"] = {
				["b"] = 0.498039215686275,
				["g"] = 0.184313725490196,
				["r"] = 0.458823529411765,
			},
			["leftclick"] = 1,
			["height"] = 16,
			["hidebg"] = 1,
			["StatusBar"] = {
				{
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["color"] = {
						["r"] = 0.231372549019608,
						["g"] = 0.419607843137255,
						["b"] = 0.682352941176471,
					},
					["bgalpha"] = 0,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "BOTTOMLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["leftclick"] = 1,
					["bgpadding"] = 1,
					["customtexture2"] = "bg",
					["attachpoint"] = "BOTTOMLEFT",
					["customtexture"] = "bg",
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 80,
					["color2"] = {
						["r"] = 0.72156862745098,
						["g"] = 0.0470588235294118,
						["b"] = 0.890196078431373,
					},
					["height"] = 15,
					["backgroundstyle"] = 1,
					["alpha"] = 1,
					["xoffset"] = 0,
					["framestrata"] = "BACKGROUND",
					["rightclick"] = 3,
					["yoffset"] = 0,
				}, -- [1]
				{
					["insanitycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["direction"] = 1,
					["bgcolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["borderalpha"] = 0.5,
					["rightclick"] = 3,
					["bgalpha"] = 0,
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["maelstrompower"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["furycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["recolor"] = false,
					["bordercolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["color2"] = {
						["b"] = 0.615686274509804,
						["g"] = 0.415686274509804,
						["r"] = 0.564705882352941,
					},
					["xoffset"] = 2,
					["yoffset"] = 0,
					["framelevel"] = 0,
					["attachto"] = "RIGHT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 15,
					["holycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["bordersize"] = 1,
					["alpha"] = 1,
					["customtexture2"] = "bg",
					["focuscolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["energycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["attach"] = "_HealthBar",
					["hideifnomana"] = true,
					["backgroundstyle"] = 1,
					["width"] = 60,
					["framestrata"] = "BACKGROUND",
					["attachpoint"] = "LEFT",
					["customtexture"] = "bg",
					["ragecolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["manacolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["bgpadding"] = 1,
					["lunarpowercolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["leftclick"] = 1,
				}, -- [2]
				nil, -- [3]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 1,
					["framestrata"] = "BACKGROUND",
					["bgalpha"] = 1,
					["framelevel"] = 0,
					["middleclick"] = 2,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["context"] = 4,
					["hide"] = 1,
					["bgpadding"] = 1,
					["leftclick"] = 1,
					["rightclick"] = 3,
					["attach"] = "Unit Frame",
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bordersize"] = 1,
					["width"] = 122,
					["color2"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["attachpoint"] = "TOPLEFT",
					["height"] = 9,
					["alpha"] = 1,
					["xoffset"] = 5.47862,
					["backgroundstyle"] = 1,
					["color"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 0,
					},
					["yoffset"] = -5.08034,
				}, -- [4]
				{
					["insanitycolor"] = {
						["b"] = 0.8,
						["g"] = 0,
						["r"] = 0.4,
					},
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["framestrata"] = "BACKGROUND",
					["attachpoint"] = "TOPLEFT",
					["middleclick"] = 2,
					["runicpowercolor"] = {
						["b"] = 1,
						["g"] = 0.82,
						["r"] = 0,
					},
					["maelstrompower"] = {
						["b"] = 1,
						["g"] = 0.5,
						["r"] = 0,
					},
					["recolor"] = false,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["height"] = 9,
					["yoffset"] = -15.2599,
					["framelevel"] = 0,
					["attachto"] = "TOPLEFT",
					["mouseovercolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["xoffset"] = 5.95745,
					["context"] = 5,
					["hide"] = 1,
					["holycolor"] = {
						["r"] = 0.556862745098039,
						["g"] = 0.556862745098039,
						["b"] = 0.92156862745098,
					},
					["manacolor"] = {
						["b"] = 1,
						["g"] = 0,
						["r"] = 0,
					},
					["focuscolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["width"] = 122,
					["attach"] = "Unit Frame",
					["bordersize"] = 1,
					["alpha"] = 1,
					["energycolor"] = {
						["b"] = 0,
						["g"] = 1,
						["r"] = 1,
					},
					["hideifnomana"] = true,
					["backgroundstyle"] = 1,
					["bgalpha"] = 1,
					["rightclick"] = 3,
					["ragecolor"] = {
						["b"] = 0,
						["g"] = 0,
						["r"] = 1,
					},
					["bgpadding"] = 1,
					["lunarpowercolor"] = {
						["b"] = 0.9,
						["g"] = 0.52,
						["r"] = 0.3,
					},
					["leftclick"] = 1,
				}, -- [5]
				{
					["direction"] = 1,
					["bgcolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["borderalpha"] = 0.5,
					["customtexture"] = "bg",
					["attachpoint"] = "TOP",
					["middleclick"] = 2,
					["bgpadding"] = 1,
					["bordercolor"] = {
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["color2"] = {
						["b"] = 0.890196078431373,
						["g"] = 0.0470588235294118,
						["r"] = 0.72156862745098,
					},
					["xoffset"] = 0,
					["yoffset"] = 0,
					["fade"] = 1,
					["height"] = 18,
					["framestrata"] = "MEDIUM",
					["attachto"] = "BOTTOM",
					["mouseovercolor"] = {
						["r"] = 1,
						["g"] = 1,
						["b"] = 0,
					},
					["alpha"] = 1,
					["focuscolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["hide"] = true,
					["recolor"] = false,
					["customtexture2"] = "bg",
					["manacolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["width"] = 152,
					["attach"] = "_HealthBar",
					["bordersize"] = 1,
					["backgroundstyle"] = 1,
					["energycolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["framelevel"] = 0,
					["ragecolor"] = {
						["b"] = 0.92156862745098,
						["g"] = 0.556862745098039,
						["r"] = 0.556862745098039,
					},
					["bgalpha"] = 1,
					["rightclick"] = 3,
					["hidebg"] = 1,
					["hideifnomana"] = true,
					["hideifnocast"] = false,
					["leftclick"] = 1,
				}, -- [6]
			},
			["bgpadding"] = 0,
			["recolor"] = false,
			["bgalpha"] = 0.5,
			["connectmethod"] = 3,
			["VoiceIcon"] = {
				["bgcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["bgtexture"] = "VoiceChat-Speaker.tga",
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["middleclick"] = 2,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["xoffset"] = 0,
				["backgroundstyle"] = 2,
				["hide"] = 1,
				["yoffset"] = 0,
			},
			["backgroundstyle"] = 1,
			["width"] = 110,
			["attachpoint"] = {
				"TOPLEFT", -- [1]
				"TOPRIGHT", -- [2]
				"TOPLEFT", -- [3]
				"TOPRIGHT", -- [4]
			},
			["LootIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 20,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["backgroundstyle"] = 2,
				["hide"] = 1,
				["xoffset"] = -10.36,
				["attachpoint"] = "TOPLEFT",
				["framestrata"] = "LOW",
				["yoffset"] = 1.11984,
			},
			["alpha"] = 1,
			["RaceIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "TOPLEFT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "TOPLEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["hide"] = 1,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["r"] = 0.0941176,
					["g"] = 0.0941176,
					["b"] = 0.0901961,
				},
				["alpha"] = 1,
				["leftclick"] = 1,
				["bgalpha"] = 1,
				["backgroundstyle"] = 2,
				["xoffset"] = 0.200028,
				["size"] = 28,
				["framestrata"] = "LOW",
				["yoffset"] = -20.9999,
			},
			["attachto"] = {
				"LEFT", -- [1]
				"CENTER", -- [2]
				"CENTER", -- [3]
				"RIGHT", -- [4]
			},
			["Buffs"] = {
				["durationy"] = -5,
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 1,
				["shown"] = 10,
				["bgalpha"] = 1,
				["middleclick"] = 2,
				["background"] = false,
				["size"] = 13,
				["bgpadding"] = 5,
				["durationx"] = 0,
				["bordercolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["mouseover"] = false,
				["durationalpha"] = 1,
				["xoffset"] = 0,
				["yoffset"] = 0,
				["showduration"] = 1,
				["framelevel"] = 0,
				["spacing"] = 0,
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["vspacing"] = 0,
				["hidebg"] = 1,
				["attachto"] = "TOPLEFT",
				["attach"] = "_Portrait",
				["hspacing"] = 2,
				["alpha"] = 1,
				["durationheight"] = 8,
				["durationfont"] = "DUF_Font1.ttf",
				["framestrata"] = "LOW",
				["altformat"] = 1,
				["attachpoint"] = "BOTTOMLEFT",
				["rightclick"] = 3,
				["durationcolor"] = {
					["b"] = 1,
					["g"] = 1,
					["r"] = 1,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
			},
			["LeaderIcon"] = {
				["bgcolor"] = {
					["b"] = 0,
					["g"] = 0,
					["r"] = 0,
				},
				["borderalpha"] = 0,
				["framestrata"] = "LOW",
				["bgalpha"] = 1,
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "LEFT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 16,
				["bgpadding"] = 5,
				["attach"] = "_HealthBar",
				["bordercolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["alpha"] = 1,
				["attachpoint"] = "RIGHT",
				["xoffset"] = -3,
				["rightclick"] = 3,
				["hide"] = 1,
				["yoffset"] = 0,
			},
			["ClassIcon"] = {
				["bgcolor"] = {
					["r"] = 0,
					["g"] = 0,
					["b"] = 0,
				},
				["borderalpha"] = 0,
				["rightclick"] = 3,
				["attachpoint"] = "BOTTOMRIGHT",
				["framelevel"] = 0,
				["middleclick"] = 2,
				["attachto"] = "BOTTOMRIGHT",
				["mouseovercolor"] = {
					["b"] = 0,
					["g"] = 1,
					["r"] = 1,
				},
				["size"] = 52,
				["bgpadding"] = 5,
				["attach"] = "Unit Frame",
				["bordercolor"] = {
					["b"] = 0.549019607843137,
					["g"] = 0.537254901960784,
					["r"] = 0.533333333333333,
				},
				["backgroundstyle"] = 2,
				["leftclick"] = 1,
				["hidebg"] = 1,
				["bgalpha"] = 1,
				["alpha"] = 1,
				["xoffset"] = -2,
				["hide"] = 1,
				["framestrata"] = "LOW",
				["yoffset"] = -10,
			},
		},
		["INITIALIZED4.1a"] = true,
		["INITIALIZED4.0b"] = true,
		["savedroots"] = {
		},
		["optionscale"] = 1,
		["INITIALIZED3.1.0a"] = true,
		["INITIALIZED5.3"] = true,
		["classcolorMage"] = {
			["b"] = 0.94,
			["g"] = 0.8,
			["r"] = 0.41,
		},
		["INITIALIZED7.4"] = true,
	}
	if EssencePlayerFrame then
		FauxMazzle.player.EVOKER = {
			["centeralign"] = true,
			["cooldownfontsize"] = 8,
			["borderalpha"] = 0,
			["color"] = {
				["b"] = 1,
				["g"] = 1,
				["r"] = 1,
			},
			["bgalpha"] = 1,
			["bgpadding"] = 5,
			["oocalpha"] = 0.3,
			["cooldownfont"] = "Fonts/ARIALN.TTF",
			["height"] = 25,
			["yoffset"] = -100,
			["numtextures"] = 0,
			["framelevel"] = 0,
			["sizelock"] = true,
			["attachto"] = "CENTER",
			["mouseovercolor"] = {
				["r"] = 1,
				["g"] = 1,
				["b"] = 0,
			},
			["borders"] = {
			},
			["bgHeight"] = 16,
			["hidebg"] = 1,
			["bgsize"] = {
				["height"] = 16,
				["width"] = 12,
			},
			["bordercolor"] = {
				["b"] = 0,
				["g"] = 0,
				["r"] = 0,
			},
			["spacing"] = 0,
			["attach"] = "UIParent",
			["backgroundstyle"] = 2,
			["alpha"] = 1,
			["width"] = 25,
			["disablemouse"] = false,
			["attachpoint"] = "CENTER",
			["framestrata"] = "BACKGROUND",
			["cooldownfonthide"] = false,
			["direction"] = 1,
			["textures"] = {
			},
			["xoffset"] = 0,
			["bgcolor"] = {
				["b"] = 1,
				["g"] = 1,
				["r"] = 1,
			},
		}
	end
	if DebuffFrame then
		FauxMazzle.hidedebuffframe = true
	end
	return FauxMazzle
end
function NS:LoadSettingsDUF_BossH()
	if BossH then
		return BossH
	end
	BossH = {
		["xos"] = {
			3, -- [1]
			395, -- [2]
			-224, -- [3]
			122, -- [4]
			-500, -- [5]
		},
		["attachto"] = {
			"LEFT", -- [1]
			"LEFT", -- [2]
			"CENTER", -- [3]
			"CENTER", -- [4]
			"RIGHT", -- [5]
		},
		["spacing"] = 10,
--		["scale"] = 1,
		["attachpoint"] = {
			"BOTTOMLEFT", -- [1]
			"TOPLEFT", -- [2]
			"TOPRIGHT", -- [3]
			"TOPLEFT", -- [4]
			"TOPRIGHT", -- [5]
		},
		["yos"] = {
			-112, -- [1]
			-64, -- [2]
			-64, -- [3]
			-64, -- [4]
			-64, -- [5]
		},
		["connect"] = false,
		["connectmethod"] = 3,
	}
	return BossH
end

function NS:LoadSettingsDUF_BossV()
	if BossV then
		return BossV
	end
	BossV = {
		["xos"] = {
			-187, -- [1]
			395, -- [2]
			-224, -- [3]
			122, -- [4]
			-500, -- [5]
		},
		["attachto"] = {
			"TOPRIGHT", -- [1]
			"LEFT", -- [2]
			"CENTER", -- [3]
			"CENTER", -- [4]
			"RIGHT", -- [5]
		},
		["spacing"] = 45,
--		["scale"] = 1,
		["attachpoint"] = {
			"TOPRIGHT", -- [1]
			"TOPLEFT", -- [2]
			"TOPRIGHT", -- [3]
			"TOPLEFT", -- [4]
			"TOPRIGHT", -- [5]
		},
		["yos"] = {
			-112, -- [1]
			-64, -- [2]
			-64, -- [3]
			-64, -- [4]
			-64, -- [5]
		},
		["connect"] = true,
		["connectmethod"] = 1,
	}
	return BossV
end
function NS:LoadSettingsDUF_Totems()
	local OnBuffs = {
		direction = 1,
		attachpoint = "BOTTOMLEFT",
		attach = "_Debuffs",
		attachto = "TOPLEFT",
		xoffset = 0,
		yoffset = 0,
		spacing = 11,
		scale = 0.88,
	}
	local OnHUD = {
		direction = 3,
		attachpoint = "RIGHT",
		attach = "UIParent",
		attachto = "CENTER",
		xoffset = -90,
		yoffset = -40,
		spacing = 7,
		scale = 0.77,
	}
	return OnBuffs, OnHUD
end